export function loadData(_this){ 
	_this.isLoadingComic = true;
	$('#load-cover').show();
	var time = new Date();
	_this.$http.post(_this.URL_PARAM.API + "/comic-store/detail",
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		var data = response.data;
		// 添加购物车属性
		for(var i = 0; i<data.list.length; i++){
			data.list[i].isJoinTrollery = false;
		}
		_this.list = data.list;
		_this.areaActivity = response.data.areaActivity;
		_this.areaActivity.startDate =_this.dateFormat(_this.areaActivity.startDate);
		_this.areaActivity.endDate =_this.dateFormat(_this.areaActivity.endDate);
		_this.user = response.data.user;
		$('#load-cover').hide();
		_this.isLoadingComic = false;
	},function(res){
		_this.$message({
			showClose: true,
			type: type,
			message:"网络异常，请刷新重试" 
		});
	});
}

export function pay(_this){
	var comicIds = '';
	for (var i = 0; i < _this.comicIds.length; i++) { 
		comicIds = comicIds+_this.comicIds[i]+","
	}
	_this.isPay = true;
	_this.$http.post(_this.URL_PARAM.API + "/comic-store/pay",
	{
		totalPrice:_this.totalPrice,
		comicIds: comicIds,
	}
	,{
		emulateJSON:true,
	}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			_this.isPay = false;
			return ;
		}
		for(var i = 0; i<_this.list.length; i++){
			for(var j = 0; j<_this.comicIds.length; j++){
				if(_this.list[i].id == _this.comicIds[j]){
					_this.list[i].isPack = 1;
					_this.list[i].discountPrice = 0;
					break;
				}
			}
		}
		_this.paySuccess();
		_this.isPayDialog = false;
		_this.isPay = false;
		_this.comicCount = 0;
		_this.comicIds= [];
		_this.totalPrice = 0;
		_this.user = response.data.user;
	},function(res){
		_this.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	});
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}