export function loadData(_this){ 
	var linkId = _this.getLinkId();
	var isHide = _this.getIsHide();
	var time = new Date();
	_this.$http.post(_this.URL_PARAM.API + "/activityArea/detail-pak",
		{
			linkId:linkId,
			isHide:isHide,
		},
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.list = response.data.list;
		_this.activtiy = response.data.areaActivity;
		_this.user = response.data.user;
		weekTimeLeave(_this,response.data.areaActivity.endDate);
		activityDate(_this,response.data.areaActivity.startDate,response.data.areaActivity.endDate);
		_this.onload();


		var nums = _this.activtiy.price + '';
		var length = nums.length;

		var html = ''
		for(var index=0;index<length;index++){
			var ch = nums.charAt(index);
			var img = _this.getImgCtxUrl('activity/number'+ ch + '.png');
			html+='<img src="'+img+'" style="height:100%;">';
		}
		$('.banner-price').html(html);
	});
}

export function goPay(_this){
	_this.$http.post(_this.URL_PARAM.API + "/orderInfo/pay-pack",
	{
		cartoonId:_this.cartoonId,
		activityId:_this.activtiy.id,
	}
	,{
		emulateJSON:true,
	}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.user = response.data.user;
		for(var i = 0 ; i < _this.list.length;i++){
			if(_this.list[i].id == _this.cartoonId){
				_this.list[i].isPack = 1;
			}
		}
		showMsg(_this,"购买成功","success");
	});
}

function activityDate(_this,startDate,endDate){
	var start = new Date(startDate);  
    var m = start.getMonth() + 1;    
    m = m < 10 ? ('0' + m) : m;    
    var d = start.getDate();    
    d = d < 10 ? ('0' + d) : d;  
    var end = new Date(endDate);  
    var m1 = end.getMonth() + 1;    
    m1 = m1 < 10 ? ('0' + m1) : m1;    
    var d1 = end.getDate();    
    d1 = d1 < 10 ? ('0' + d1) : d1;  
    _this.dateStr = "活动时间："+m+"月"+d+"日-"+m1+"月"+d1+"日";
}

function weekTimeLeave(_this,endDate){
	var setInt = setInterval(function(){
		var datetime = endDate+" 23:59:59";
        var timeleave = timeDiffer(datetime);
        $('.timer .day').text(timeleave.dayDiff);
        $('.timer .hour').text(timeleave.hours);
        $('.timer .min').text(timeleave.minutes);
        $('.timer .sec').text(timeleave.seconds);
		// $(".weekLeave").html("距离结束还有："+timeleave);
	},1000);
	_this.setInter = setInt;
}

function timeDiffer(datetime){
    //如果时间格式是正确的，那下面这一步转化时间格式就可以不用了
    var dateEnd = new Date(datetime.replace(/-/g, "/"));//将-转化为/，使用new Date
    var dateBegin = new Date();//获取当前时间
    var dateDiff = dateEnd.getTime() - dateBegin.getTime();//时间差的毫秒数
    var dayDiff = Math.floor(dateDiff / (24 * 3600 * 1000));//计算出相差天数
    var leave1=dateDiff%(24*3600*1000)    //计算天数后剩余的毫秒数
    var hours=Math.floor(leave1/(3600*1000))//计算出小时数
    //计算相差分钟数
    var leave2=leave1%(3600*1000)    //计算小时数后剩余的毫秒数
    var minutes=Math.floor(leave2/(60*1000))//计算相差分钟数
    //计算相差秒数
    var leave3=leave2%(60*1000)      //计算分钟数后剩余的毫秒数
    var seconds=Math.round(leave3/1000);
    return {
        dayDiff : dayDiff,
        hours : hours,
        minutes : minutes,
        seconds : seconds
    };
}


function timeValidator(value){
	var timestamp = new Date().getTime();
	value = value.replace(/-/g,'/');
	var timestamp1 = new Date(value).getTime();
	return timestamp > timestamp1;
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}