export	function list(_this){
	var linkId = _this.getLinkId();
	var isHide = _this.getIsHide();
	_this.$http.post(_this.URL_PARAM.API + "/cartoonCollection/search-type"
	,{
		pageNo:_this.pageParams.pageNo,
		pageSize:_this.pageParams.pageSize,
		cartoonType:_this.cartoonTypeId==-1?null:_this.cartoonTypeId,
		state:null,
		price:_this.cartoonTypeId==-1?0:null,
		order:_this.last,
		linkId:linkId,
		isHide:isHide,
	}
	,{emulateJSON:true}).then(function(pay) {
		if(!pay.data.success){
			_this.$message({
				showClose: true,
				type: 'warning',
				message:pay.data.info
			});
			_this.pageParams.isLoading = false;
			return ;
		}
		_this.pageParams.total = pay.data.total;
		_this.pageParams.totalPage = pay.data.totalPage;
		if(pay.data.list.length == 0 && _this.pageParams.pageNo == 1){
			$('.null-div').css('display','block');;
		}else{
			$('.null-div').hide();
		}
		_this.pageParams.hasNext = pay.data.hasNext;
		if(pay.data.hasNext ){
			$('.no-more').hide();
		}else{
			$('.no-more').css('display','block');
		}
		for(var i = 0 ; i < pay.data.list.length;i++){
			_this.list.push(pay.data.list[i]);
		}
		_this.pageParams.isLoading = false;
	},function(res){
		_this.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	})
}

