export function loadData(_this){
	_this.isLoading = true;
	_this.$http.post(_this.URL_PARAM.GAME + "/detail",
		{
			id:_this.id
		},{emulateJSON:true}).then(function(response) {
			_this.isLoading = false;
			if(!response.data.success){
				_this.$message({
					showClose: true,
					type: "warning",
					message:response.data.info 
				});
	     	return ;
			}
			_this.game = response.data.game;
	});
}
