export function loadData(_this){
	_this.isLoading = true;
	_this.$http.post(_this.URL_PARAM.GAME + "/list",
		{
			pageNo:_this.pageParam.pageNo,
			pageSize:_this.pageParam.pageSize
		},{emulateJSON:true}).then(function(response) {
			_this.isLoading = false;
			if(!response.data.success){
				_this.$message({
					showClose: true,
					type: "warning",
					message:response.data.info 
				});
	     		return ;
			}
			_this.pageParam.hasNext = response.data.hasNext;
			var list = response.data.list;
			if(list == null || list.length <= 0){
				return ;
			}
			for(var i = 0 ; i < list.length ; i++){
				_this.list.push(list[i]);
			}
	});
}
