window._OAuthUtil = (new (function(){
	var _AuthCode = {
		'success':{code:400,message:'success'},
		'error':{code:1001,message:'error'},
		'errPlus':{code:1001,message:'plus  error'},
		'errServiceId':{code:1002,message:'auth id no exist'},
		'cancle':{code:1005,message:'cancle auth'}
	}
	//授权登录
    this.oAuth = function(id,options,_callBack){
    	var _this = this;
    	this.getServices(id,function(err,auth){
    		if(!auth){
    			_callBack() && _callBack(err,null);
    			return ;
    		}
    		auth.logout(auth,options);
    		_this.login(auth,options,_callBack);
    	});
    	
   };
   //获取对应授权服务
   this.getServices = function(id,_callBack){
   		var _auths = window._auths;
		if(!_auths || _auths.length <= 0){
			//未吊起授权
			if(!window.plus){
				_callBack && _callBack(_AuthCode['errPlus'],null);
				return ;
			}
			this.getServiceById(id,function(err,auth){
				if(!auth){
					_callBack && _callBack(_AuthCode['errServiceId'],auth);
					return ;
				}
				_callBack && _callBack(_AuthCode['errServiceId'],auth);
			});
		    return ;
		}
		var s;
		for(var i = 0 ; i <  _auths.length ; i++){
	  		if(id == _auths[i].id){
	  			s = _auths[i];
	  			break;
	  		}
	    }
		if(s){
			_callBack && _callBack(_AuthCode['success'],s);
			return;
		}
		//重新获取授权
		this.getServiceById(id,function(err,auth){
			if(!auth){
				_callBack && _callBack(_AuthCode['errServiceId'],auth);
				return ;
			}
			_callBack && _callBack(_AuthCode['errServiceId'],auth);
		});
		
   }
   //获取对应的授权登录
   this.getServiceById = function(id,_callBack){
   		var _auths = window._auths;
   		plus.oauth.getServices(function(services) {
	        _auths = services;
	        window._auths = _auths;
	        console.log("_auths-->"+JSON.stringify(_auths));
	        var s;
			for(var i = 0 ; i <  _auths.length ; i++){
		  		if(id ==  _auths[i].id){
		  			s =  _auths[i];
		  			break;
		  		}
		    }
			if(!s){
				_callBack && _callBack(_AuthCode['errServiceId'],s);
				return ;
			}
			_callBack && _callBack(_AuthCode['success'],s);
	    }, function(e) {
	        console.log("获取分享服务列表失败：" + e.message + " - " + e.code);
	        _callBack && _callBack(_AuthCode['error'],s);
	    });
   };
   //登录
   this.login = function(auth,options,_callBack){
		var opt = !options?{}:options;
		plus.nativeUI.closeWaiting();
		auth.login(function(e){
			// 获取登录操作结果
			auth.getUserInfo( function(e){
				_callBack && _callBack(_AuthCode['success'],auth);
			}, function(e){
				console.log( "获取用户信息失败："+e.message+" - "+e.code );
				_callBack && _callBack(_AuthCode['error'],auth);
			},opt);
		}, function(e){
			console.log('登录认证失败'+e.message+" - "+e.code );
			if(e.code == -2){
				//取消授权
				_callBack && _callBack(_AuthCode['cancle'],auth);
				return ;
			}
			_callBack && _callBack(_AuthCode['error'],auth);
		},opt);
		
	};
})());