// 从服务器请求支付订单  

// 获取支付通道  
export function init(_this){
    // 获取支付通道
    if(!window.plus){
    	//console.log("plus is error");
		return ;
    }
    if (window._aliPayChannel){
		//console.log("aliPay exist");
		return ;
	}
	//console.log("aliPay init ");
	window._aliPayChannel = null;
    if (_this.getNetwork() == plus.networkinfo.CONNECTION_NONE){
		_this.$bus.$emit("network", 1, true);
		return ;
	}
    plus.payment.getChannels(function(channels){
    	//console.log("channels："+JSON.stringify(channels));
    	 for (var i = 0; i < channels.length ; i++) {
         	if (channels[i].id == 'alipay') {
            	window._aliPayChannel=channels[i];
            	//console.log("window._aliPayChannel:"+JSON.stringify(window._aliPayChannel));
        	}else if(channels[i].id == 'wxpay'){
        		window._wxpayChannel=channels[i];
        		//console.log("window._wxpayChannel:"+JSON.stringify(window._wxpayChannel));
        	}
        }
    },function(e){
        alert("获取支付通道失败："+e.message);
    });
} 

// 2. 发起支付请求  
export function pay(obj,channel){ 
	console.log("start pay wx");
	var orderId = obj.payParam.productId;
	var cartoonId = obj.payParam.cartoonId;
	if(!obj.payParam.isRechargePage){
		//章节页面吊起支付
		window.sessionStorage.setItem('payChapterId',obj.rechargeParams.chapterId);
	}
	var user = JSON.parse(window.sessionStorage.getItem('user'));
	var str = orderId+","+user.id+","+obj.SESSION_KEY.MD5_KEY;
	var hash = md5(str);
	obj.payParam.isPaying = true;
	// 从服务器请求支付订单  
	var xhr = new XMLHttpRequest();  
	console.log("pay channel"+JSON.stringify(channel));
	xhr.onreadystatechange=function(){  
		switch(xhr.readyState){  
			case 4:
				if(xhr.status==200){
					console.log("xhr.responseText:"+xhr.responseText);
					plus.payment.request(channel,xhr.responseText,function(result){
						plus.nativeUI.alert("支付成功！",function(){ 
							obj.payParam.isPaying = false;
							if(!obj.payParam.isRechargePage){
								obj.unlockChapter();
								return ;
							}
							obj.$bus.$emit('dlgAlert',"充值成功","reloadRecharge");
						});
				    },function(error){ 
				    	obj.payParam.isPaying = false;
				    	console.log("支付失败：" + error.code)
				    }); 
				    return ;
				}
				obj.payParam.isPaying = false;
	    		break;  
	    	default: 
	    		obj.payParam.isPaying = false;
	    		break;  
	    }  
	}  
	if(channel.id == 'alipay'){
		xhr.open('GET',obj.URL_PARAM.API+"/alipay/createApp?rechargeId="+orderId+"&cartoonId="+cartoonId+"&userId="+user.id+"&token="+user.sysToken+"&key="+hash);  
	}else if(channel.id == 'wxpay'){
		console.log("isHide:"+obj.getIsHide());
		if(obj.getIsHide()){
			console.log("vest-app-pay");
			xhr.open('GET',obj.URL_PARAM.API+"/weixin/pay/vest-app-pay?orderId="+orderId+"&cartoonId="+cartoonId+"&userId="+user.id+"&token="+user.sysToken+"&key="+hash);
		}else{
			console.log("app-pay");
			xhr.open('GET',obj.URL_PARAM.API+"/weixin/pay/app-pay?orderId="+orderId+"&cartoonId="+cartoonId+"&userId="+user.id+"&token="+user.sysToken+"&key="+hash);
		}
	}
	xhr.send();  
}  
