export function loadHot(_this){
	$("#load-cover").show();
	_this.loading = false;
	var linkId = _this.getLinkId();
	var isHide = _this.getIsHide();
	_this.$http.post(_this.URL_PARAM.API + "/homePage/list-hot",
		{
			linkId:linkId,
			isHide:isHide,
			type:_this.type,
			pageNo:_this.params.pageNo,
			pageSize:_this.params.pageSize
		},
		{emulateJSON:true})
		.then(function(response) {
			_this.loading = false;
			$("#load-cover").hide();
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				return ;
			}
			_this.haveNextPage = response.data.haveNextPage;
			if(!_this.haveNextPage){
				_this.isShowEnd = true;
			}
			if(response.data.list.length <= 0){
				return ;
			}
			for(var i = 0 ; i < response.data.list.length ; i++){
				_this.list.push(response.data.list[i]);
			}
			
		});
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}
