//获取积分商品
export function loadData(_this){
	$("#load-cover").show();
	_this.$http.post(_this.URL_PARAM.API + "/score/list-product",
		{emulateJSON:true}).then(function(response) {
			$("#load-cover").hide();
			if(!response.data.success){
	     		_this.$message({
					showClose: true,
					type: "warning",
					message:response.data.info 
				});
	     		return ;
			}
			_this.list = response.data.list;
	});
}
//下单
export function create(_this){
	if(_this.isLoading){
		_this.tcTip = '正在处理订单,请稍等...';
		_this.showTcTips();
		return ;
	}
	_this.isLoading = true;
	_this.$http.post(_this.URL_PARAM.API + "/score/create",
		{
			productId:_this.payParams.productId,
			phone:_this.payParams.phone
		},
		{emulateJSON:true}).then(function(response) {
			_this.isLoading = false;
			if(!response.data.success){
	     		_this.tcTip = response.data.info;
				_this.showTcTips();
	     		return ;
			}
			window.location.href = response.data.payUrl;
	});
}
