window._ShareUtil = (new (function(){
	var _ShareCode = {
		'success':{code:400,message:'success'},
		'errPlus':{code:2001,message:'plus  error'},
		'errServiceId':{code:2002,message:'share id no exist'},
		'errAuth':{code:2003,message:'share auth err'},
		'cancle':{code:2005,message:'cancle share'}
	}
	var _shareMsg = {
		content: '原创漫画最热聚集地，霸道总裁、御姐萝莉等你来撩！',
        href: 'https://android.myapp.com/myapp/detail.htm?apkName=com.zhishan.ciyuanman&ADTAG=mobile',
        title: '海量漫画邀你来看，新人礼包大派送！',
        thumbs: ['http://img.ciyuanmh.com/ksmall/images/f0e90a8d-b896-4074-8e6b-2024f1201384.jpg@100h_100w_1e_1c'],
        pictures: ['http://img.ciyuanmh.com/ksmall/images/f0e90a8d-b896-4074-8e6b-2024f1201384.jpg@100h_100w_1e_1c']
	};
	 var _ids = [
	 	{
	        id: "weixin", 
	        ex: "WXSceneSession" 
	    }, 
	    {
	        id: "weixin", 
	        ex: "WXSceneTimeline" 
	    },
	    {
	    	id : "weixin",
	    	ex : "WXSceneFavorite"
	    },
	    {
	    	id : 'qq',
	    	ex : ''
	    }
	    ],
	    _btns = [
	    {
	        title: "发送给微信好友" 
	    }, 
	    {
	        title: "分享到微信朋友圈" 
	    },
	    {
	        title: "分享到我的收藏" 
	    },
	    {
	        title: "分享到QQ" 
	    }
	    ];
	this.getShareMsg = function(){
		return _shareMsg;
	};
	this.getIds = function(){
		return _ids;
	};
	this.getBtns = function(){
		return _btns;
	};
	//--------------------------分享---------------------
	this.shareApp = function(id,msg,_callBack){
		this.shareAppMsg(id,function(code,service){
			if(code.code != 400){
				//分享失败
				_callBack && _callBack(code,null);
				return ;
			}
			//this._shareMsg['extra'] = msg['extra'];
			service.send(msg,function(){
				_callBack && _callBack(_ShareCode['success'],null);
			}, function(e){
				console.log("分享失败 code："+e.code+"  msg:"+e.message);
				if(e.code == -100 && id == "qq"){
					_callBack && _callBack(_ShareCode['cancle'],null);
					return ;
				}
				if(e.code == -2 ){
					_callBack && _callBack(_ShareCode['cancle'],null);
					return ;
				}
				_callBack && _callBack(_ShareCode['errShare'],null);
			});
		});
	};
	this.shareAppMsg = function(id,_callBack){
    	this.getShareServices(id,function(err,share){
    		if(!share){
    			console.log("get services shares is error ");
    			_callBack && _callBack(err,null);
    			return ;
    		}
    		if (share.authenticated) {
		        _callBack && _callBack(_ShareCode['success'],share);
		        return ;
		    }
	        share.authorize(function(s,ex) {
	    	   _callBack && _callBack(_ShareCode['success'],s);
	        }, function(e) {
	        	console.log("认证授权失败：" + e.code + " - " + e.message);
	             _callBack && _callBack(_ShareCode['errAuth'],s);
	        });
    	});
	};
	//获取分享服务
	this.getShareServices = function(id,_callBack){
		var _shares = window._shares;
		if(!_shares || _shares.length <= 0){
			console.log("分享参数为空");
			//未吊起分享
			if(!window.plus){
				_callBack && _callBack(_ShareCode['errPlus'],null);
				return ;
			}
			this.getShareServiceById(id,function(err,share){
				if(!share){
					_callBack && _callBack(_ShareCode['errShareServiceId'],null);
					return ;
				}
				_callBack && _callBack(_ShareCode['errShareServiceId'],share);
			});
		    return ;
		}
		var s;
		for(var i = 0 ; i <  _shares.length ; i++){
	  		if(id == _shares[i].id){
	  			s = _shares[i];
	  			break;
	  		}
	    }
		if(s){
			_callBack && _callBack(_ShareCode['success'],s);
			return;
		}
		this.getShareServiceById(id,function(err,share){
			if(!share){
				_callBack && _callBack(_ShareCode['errShareServiceId'],null);
				return ;
			}
			_callBack && _callBack(_ShareCode['errShareServiceId'],share);
		});
	};
	this.getShareServiceById = function(id,_callBack){
		var _shares = window._shares;
   		plus.share.getServices(function(services) {
	        _shares = services;
	        window._shares = _shares;
	        var s;
			for(var i = 0 ; i <  _shares.length ; i++){
		  		if(id ==  _shares[i].id){
		  			s =  _shares[i];
		  			break;
		  		}
		    }
			if(!s){
				_callBack && _callBack(_ShareCode['errServiceId'],s);
				return ;
			}
			_callBack && _callBack(_ShareCode['success'],s);
	    }, function(e) {
	        console.log("获取分享服务列表失败：" + e.message + " - " + e.code);
	        _callBack && _callBack(e,s);
	    });
	}
})());