export function loadUser(_this){
	var user = window.sessionStorage.getItem('user');
	_this.$http.post(_this.URL_PARAM.API + "/user/info",{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
     		showMsg(_this,response.data.info,"warning");
     		return ;
		}
		_this.isHide = response.data.isHide;
		_this.user = response.data.user;
		_this.signState = response.data.signState;
		_this.allCoins = 0;
		_this.msgCount = response.data.msgCount;
		addMsgCountStr(_this);
		if(_this.user != null ){
   			_this.allCoins = _this.user.readCoins+_this.user.giveCoins;
   			window.sessionStorage.setItem('user',JSON.stringify(_this.user));
		}
		//加载ios用户信息
		loadByUuid(_this);
 		_this.signRewardList = response.data.signRewardList;
 		_this.signPic = response.data.signRewardPic;
 		_this.isExchangeActivity = response.data.isExchangeActivity;
 		_this.paperActivity = response.data.paperActivity;
 		_this.isHasRecieveReward = response.data.isHasRecieveReward;
 		_this.isCall = response.data.isCall;
	});
}
//加载ios用户信息
function loadByUuid(_this){
	if(_this.user != null || _this.getAppstyle() || !window.plus){
		return ;
	}
	_this.isUserInfo = false;
	_this.$http.post(_this.URL_PARAM.API + "/user/save-tourist",
		{
			uuid	:plus.device.uuid,
			linkId	:_this.getLinkId()
		},
		{emulateJSON:true}).then(function(response) {
		_this.isUserInfo = true;
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
     		return ;
		}
		_this.user = response.data.user;
		window.sessionStorage.setItem('TOURIST_ACCOUNT',_this.user.account);
	});
}

function addMsgCountStr(_this){
	if(!_this.msgCount || _this.msgCount <= 0){
		_this.msgCountStr = "";
		return ;
	}
	if(_this.msgCount > 99){
		_this.msgCountStr = "99+";
		return ;
	}
	_this.msgCountStr = _this.msgCount+"";
}
export function sign(_this){
	_this.$http.post(_this.URL_PARAM.API + "/user/sign",{emulateJSON:true}).then(function(response) {
		_this.isUserSign = false;
		if(!response.data.success){
     		showMsg(_this,response.data.info,"warning");
     		return ;
		}
		$(".tc-div.tc1").hide();
		if(response.data.todaySign){
			_this.showInfo();
			return ;
		}
		_this.rewardContent = response.data.content;
		 _this.loadUser(_this);
	 	$(".tc-div.tc2").show();
	 	$(".tc-div.tc2").addClass("bounceIn");
	 	setTimeout(function(){
	    	$(".tc-div.tc2").removeClass("bounceIn");
	    }, 500);
	});
}

export function getVersion(_this){
	_this.$http.post(_this.URL_PARAM.API + "/user/get-version",{
		linkId : _this.getLinkId()
	},{emulateJSON:true}).then(function(response) {
		var data = response.data;
		if (!data.success){
			return ;
		}
		_this.version = data.version;
	});
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}
