export function modify(_this){
	_this.$http.post(_this.URL_PARAM.API + "/index-user-tag/modify",
			{tags:_this.labels},
			{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
     		this.info = response.data.info;
			this.tcShow();
     		return ;
		}
		_this.$router.push("/index");
	},function(res){
		_this.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	});
}

export function getLabel(_this){
	_this.$http.post(_this.URL_PARAM.API + "/user-tag/query",{},
			{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
     		this.info = response.data.info;
			this.tcShow();
     		return ;
		}
		for(var i = 0 ; i < response.data.tags.length;i++){
			_this.labelList.push(response.data.tags[i]);
			if(response.data.tags[i].onclick == 1){
				_this.hasTag = false;
			}
		}
	},function(res){
		_this.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	});
}

export function modifyIsTag(_this){
	_this.$http.post(_this.URL_PARAM.API + "/user/modify-is-tag",{},
			{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
     		this.info = response.data.info;
			this.tcShow();
     		return ;
		}
		_this.$router.push("/index");
	},function(res){
		_this.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	});
}