export	function getGivenCoins(obj){
	if(obj.getAppstyle()){
		return loadCoinsByUser(obj);
	}
	if(window.plus){
		return loadCoinsByUuid(obj);
	}		
}

function loadCoinsByUuid(obj){
	$("#load-cover").show();
	obj.loading = true;
	obj.$http.post(obj.URL_PARAM.API + "/user/ios-give-coins-income",
		{
			uuid	:plus.device.uuid,
			linkId	:obj.getLinkId(),
			pageNo	:obj.params.pageNo,
			pageSize:obj.params.pageSize
		},{emulateJSON:true}).then(
			function(pay) {
				$("#load-cover").hide();
				obj.loading = false;
				if(!pay.data.success){
					return obj.$message({
						type: 'error',
						message: pay.data.info
					});
				}
				obj.totalPage = pay.data.totalPage;
				console.log("null div length");
				if(pay.data.giveCoinsLogList.length == 0 && obj.params.pageNo == 1){
					console.log("null div");
					$('.null-div').css('display','block');;
				}else{
					$('.null-div').hide();
				}
				
				if(pay.data.totalPage == obj.params.pageNo ){
					console.log("no more");
					$('.no-more').css('display','block');
				}else{
					$('.no-more').hide();
				}
				
				for(var i = 0 ; i < pay.data.giveCoinsLogList.length;i++){
					if(null == pay.data.giveCoinsLogList[i].remark || "" == pay.data.giveCoinsLogList[i].remark){
						pay.data.giveCoinsLogList[i].remark = "往期获得赠送";
					}
					obj.list.push(pay.data.giveCoinsLogList[i]);
				}
				obj.giveCoins = pay.data.giveCoins;
			},function(){
				$("#load-cover").hide();
				obj.loading = false;
				obj.$message({
					type: 'error',
					message: '网络异常'
				})
			}
		)
}

function loadCoinsByUser(obj){
	$("#load-cover").show();
	obj.loading = true;
	obj.$http.post(obj.URL_PARAM.API + "/user/give-coins-income",{pageNo:obj.params.pageNo,pageSize:obj.params.pageSize},{emulateJSON:true}).then(
			function(pay) {
				$("#load-cover").hide();
				obj.loading = false;
				if(!pay.data.success){
					return obj.$message({
						type: 'error',
						message: pay.data.info
					});
				}
				obj.totalPage = pay.data.totalPage;
				if(pay.data.giveCoinsLogList.length == 0 && obj.params.pageNo == 1){
					$('.null-div').css('display','block');;
				}else{
					$('.null-div').hide();
				}
				
				if(pay.data.totalPage == obj.params.pageNo ){
					$('.no-more').css('display','block');
				}else{
					$('.no-more').hide();
				}
				
				for(var i = 0 ; i < pay.data.giveCoinsLogList.length;i++){
					if(null == pay.data.giveCoinsLogList[i].remark || "" == pay.data.giveCoinsLogList[i].remark){
						pay.data.giveCoinsLogList[i].remark = "往期获得赠送";
					}
					obj.list.push(pay.data.giveCoinsLogList[i]);
				}
				obj.giveCoins = pay.data.giveCoins;
				
			},function(){
				$("#load-cover").hide();
				obj.loading = false;
				obj.$message({
					type: 'error',
					message: '网络异常'
				})
			}
		)
}

export	function getExpenditureCoins(obj){
	if(obj.getAppstyle()){
		return expireCoinsByUser(obj);
	}
	if(window.plus){
		return expireCoinsByUuid(obj);
	}
}
function expireCoinsByUuid(obj){
	$("#load-cover").show();
	obj.loading = true;
	obj.$http.post(obj.URL_PARAM.API + "/user/ios-give-coins-expenditure",
		{
			uuid	:plus.device.uuid,
			linkId	:obj.getLinkId(),
			pageNo	:obj.params.pageNo,
			pageSize:obj.params.pageSize
		},{emulateJSON:true}).then(
		function(pay) {
			$("#load-cover").hide();
			obj.loading = false;
			if(!pay.data.success){
				return obj.$message({
						type: 'error',
						message: pay.data.info
				});
			}
			obj.totalPage = pay.data.totalPage;
			if(pay.data.giveCoinsLogList.length == 0 && obj.params.pageNo == 1){
				$('.null-div').css('display','block');
			}else{
				$('.null-div').hide();
			}
			
			if(pay.data.totalPage == obj.params.pageNo ){
				$('.no-more').css('display','block');
			}else{
				$('.no-more').hide();
			}
			
			for(var i = 0 ; i < pay.data.giveCoinsLogList.length;i++){
				obj.list.push(pay.data.giveCoinsLogList[i]);
			}
			obj.giveCoins = pay.data.giveCoins;
		},function(){
			$("#load-cover").hide();
			obj.loading = false;
			obj.$message({
				type: 'error',
				message: '网络异常'
			})
		}
	)
}

function expireCoinsByUser(obj){
	$("#load-cover").show();
	obj.loading = true;
	obj.$http.post(obj.URL_PARAM.API + "/user/give-coins-expenditure",{pageNo:obj.params.pageNo,pageSize:obj.params.pageSize},{emulateJSON:true}).then(
		function(pay) {
			$("#load-cover").hide();
			obj.loading = false;
			if(!pay.data.success){
				return obj.$message({
					type: 'error',
					message: pay.data.info
				});
			}
			obj.totalPage = pay.data.totalPage;
			if(pay.data.giveCoinsLogList.length == 0 && obj.params.pageNo == 1){
				$('.null-div').css('display','block');
			}else{
				$('.null-div').hide();
			}
			
			if(pay.data.totalPage == obj.params.pageNo ){
				$('.no-more').css('display','block');
			}else{
				$('.no-more').hide();
			}
			
			for(var i = 0 ; i < pay.data.giveCoinsLogList.length;i++){
				obj.list.push(pay.data.giveCoinsLogList[i]);
			}
			obj.giveCoins = pay.data.giveCoins;
		},function(){
			$("#load-cover").hide();
			obj.loading = false;
			obj.$message({
				type: 'error',
				message: '网络异常'
			})
		}
	)
}
