export	function getReadCoins(obj){
	if(obj.getAppstyle()){
		return loadCoinsByUser(obj);
	}
	if(window.plus){
		return loadCoinsByUuid(obj);
	}
}
function loadCoinsByUuid(obj){
	$("#load-cover").show();
	obj.loading = true;
	obj.$http.post(obj.URL_PARAM.API + "/user/ios-read-coins-log",
		{
			uuid	:plus.device.uuid,
			linkId	:obj.getLinkId(),
			type	:obj.type,
			pageNo	:obj.params.pageNo,
			pageSize:obj.params.pageSize
		},{emulateJSON:true}).then(
		function(pay) {
			$("#load-cover").hide();
			obj.loading = false;
			if(!pay.data.success){
				return obj.$message({
					type: 'error',
					message: pay.data.info
				});
			}
			obj.totalPage = pay.data.totalPage;
			if(pay.data.giveCoinsLogList.length == 0 && obj.params.pageNo == 1){
				$('.null-div').css('display','block');;
			}else{
				$('.null-div').hide();
			}
			
			if(pay.data.totalPage == obj.params.pageNo ){
				$('.no-more').css('display','block');
			}else{
				$('.no-more').hide();
			}
			
			for(var i = 0 ; i < pay.data.giveCoinsLogList.length;i++){
				obj.list.push(pay.data.giveCoinsLogList[i]);
			}
			obj.readCoins = pay.data.readCoins;
		},function(){
			$("#load-cover").hide();
			obj.loading = false;
			obj.$message({
				type: 'error',
				message: '网络异常'
			})
		}
	)
}

function loadCoinsByUser(obj){
	$("#load-cover").show();
	obj.loading = true;
	obj.$http.post(obj.URL_PARAM.API + "/user/read-coins-log",{type:obj.type,pageNo:obj.params.pageNo,pageSize:obj.params.pageSize},{emulateJSON:true}).then(
		function(pay) {
			$("#load-cover").hide();
			obj.loading = false;
			if(!pay.data.success){
				return obj.$message({
					type: 'error',
					message: pay.data.info
				});
			}
			obj.totalPage = pay.data.totalPage;
			if(pay.data.giveCoinsLogList.length == 0 && obj.params.pageNo == 1){
				$('.null-div').css('display','block');;
			}else{
				$('.null-div').hide();
			}
			
			if(pay.data.totalPage == obj.params.pageNo ){
				$('.no-more').css('display','block');
			}else{
				$('.no-more').hide();
			}
			
			for(var i = 0 ; i < pay.data.giveCoinsLogList.length;i++){
				obj.list.push(pay.data.giveCoinsLogList[i]);
			}
			obj.readCoins = pay.data.readCoins;
		},function(){
			$("#load-cover").hide();
			obj.loading = false;
			obj.$message({
				type: 'error',
				message: '网络异常'
			})
		}
	)
}


