export function sendVerCode(_this,btn){
	var hash = md5(_this.account+""+_this.type+""+_this.SESSION_KEY.MD5_KEY);
	_this.$http.post(_this.URL_PARAM.API + "/index/sendCode",
		{	
			account:_this.account,
			type:_this.type,
			linkId:_this.getLinkId(),
			sign:hash
		},
		{
			emulateJSON:true,
			credentials: true
		}).then(function(val) {
			if(val.data.success){
				_this.sendCodeTime();
				return ;
			}
			_this.info =  val.data.info;
			_this.tcShow();
			_this.isSendCode = false;
	})
}

//注册
export	function register(_this){
	if(_this.isRegister){
		return ;
	}
	_this.isRegister = true;
	var linkId =  _this.getLinkId();
	var shareUserId = window.sessionStorage.getItem(_this.SESSION_KEY.SHARE_USER_ID);
	var taskUserId  = window.sessionStorage.getItem(_this.SESSION_KEY.TASK_USER_ID);
	_this.$http.post(_this.URL_PARAM.API + "/index/register",
	{
		account:_this.account,
		sex:_this.sex,
		linkId:linkId,
		code:_this.code,
		password:_this.password,
		taskUserId:taskUserId,
		shareUserId:shareUserId,
		isApp:true
	}
	,{emulateJSON:true}).then(function(fam) {
		_this.isRegister = false;
		if(!fam.data.success){
			_this.info =  fam.data.info;
			_this.tcShow();
			return ;
		}
		var user = fam.data.user;
		if(user.shareBusinessName != null && user.shareBusinessName != ""){
			_this.COMMON_PARAM.COMMON_TITLE = user.shareBusinessName+"-";
		}
	    var obj = JSON.stringify(user);
		window.sessionStorage.setItem('user',obj);
		if(_this.getUserCookie()){	//未获取到cookie值，设置
			_this.setUserCookie(user.phone);
		}
		_this.$bus.$emit("logByUserLogin");
        _this.info = "注册成功";
		_this.tcShow();
		showFirstLogin(_this,user);
		setTimeout(function(){
        	if(_this.COMMON_PARAM.LOGIN_BACK_URL == "" || _this.COMMON_PARAM.LOGIN_BACK_URL == null || _this.COMMON_PARAM.LOGIN_BACK_URL == "undefined"){
				if(_this.isFromRegister == null){
					_this.COMMON_PARAM.LOGIN_BACK_URL = "/user/index";
				}else{
					_this.COMMON_PARAM.LOGIN_BACK_URL = "/index";
				}
			}
        	_this.$router.push(_this.COMMON_PARAM.LOGIN_BACK_URL);
        }, 400);
        localDB.deleteSpace(this.$store.state.localDBKey);
		_this.$bus.$emit('modifyPushToken');
	})
}
//修改密码
export function updatePwd(_this){
	if(_this.isRestPwd){
		return ;
	}
	_this.isRestPwd = true;
	_this.$http.post(_this.URL_PARAM.API + "/index/update-password",
	{
		account:_this.account,
		code:_this.code,
		password:_this.password,
		type:_this.type,
		linkId:_this.getLinkId()
	}
	,{emulateJSON:true}).then(function(fam) {
		_this.isRestPwd = false;
		if(!fam.data.success){
			_this.info =  fam.data.info;
			_this.tcShow();
			return ;
		}
		_this.info = "修改密码成功";
		_this.tcShow();
		setTimeout(function(){
        	_this.$router.push('/user/login');
        }, 1000);
		
	})
}

/*验证码*/
var clock = '';
export function clock(_this){
	var nums = 60;
	$(".getVerification").addClass("disabled")
	$(".getVerification").text(nums+'秒后重新获取');
	clock = setInterval(function(){
		nums--;
		if(nums > 0){
			$(".getVerification").text(nums+'秒后重新获取');
		}else{
			clearInterval(clock); //清除js定时器
			$(".getVerification").text("获取验证码")
			$(".getVerification").removeClass("disabled")
			nums = 60; //重置时间
			_this.isSendCode = false;
		}
	}, 1000); //一秒执行一次
}

/*清楚定时器*/
export function clearClock(){
	clearInterval(clock);
}

function showFirstLogin(_this,user){
	if(user.loginAppReward != null && user.loginAppReward > 0){
		setTimeout(function(){
	        _this.$bus.$emit('dlgAlertReward',"首次登录APP",user.loginAppReward);
	    }, 900);
	}
}
