var result_angle = [{a:0,p:0.166667,t:'200'},{a:60,p:0.166667,t:'100'},{a:120,p:0.166667,t:'66'},{a:180,p:0.166667,t:'50'},{a:240,p:0.166667,t:'30'},{a:300,p:0.166667,t:'莫心灰'}];
var rotate_angle = 0; //起始位置为0
export function loadDist(_this){
	_this.$http.post(_this.URL_PARAM.API + "/dist/load-dist",
		{},{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
     		return ;
		}
		if(response.data.dist == null){
			_this.dist = null;
			return;
		}
		_this.dist = response.data.dist;
		_this.distOptions = response.data.dist.distOptions;
		_this.distUser = response.data.dist.distUser;
		_this.remain = _this.distUser==null?0:_this.distUser.nums;
		var options  = response.data.dist.distOptions;
		var index = 0;
		if(_this.distUser != null){
			for(var i in options){
				if(options[i].id == _this.distUser.distOptionId){
					index = i;
				}
			}
		}
		result_angle[0].p = options[index].rate1*0.01;
		result_angle[1].p = options[index].rate2*0.01;
		result_angle[2].p = options[index].rate3*0.01;
		result_angle[3].p = options[index].rate4*0.01;
		result_angle[4].p = options[index].rate5*0.01;
		result_angle[5].p = options[index].rate6*0.01;
	});
}
export function calculate_result(during_time,obj){
	var self = this;
    during_time = during_time || 1; // 默认为1s
    
    var rand_num = Math.ceil(Math.random() * 100); // 用来判断的随机数，1-100
    
    var result_index; // 最终要旋转到哪一块，对应result_angle的下标
    var end_pos ;
    var start_pos = end_pos = 0; // 判断的角度值起始位置和结束位置
    
    for(var i in result_angle){
        start_pos = end_pos + 1; // 区块的起始值
        end_pos = end_pos + 100 * result_angle[i].p; // 区块的结束值
        
        if(rand_num >= start_pos && rand_num <= end_pos){ // 如果随机数落在当前区块，那么获取到最终要旋转到哪一块
            result_index = i;
            break;
        }
    }
    
    var rand_circle = Math.ceil(Math.random() * 2) + 3; // 附加多转几圈，2-3
    obj.flag_click = false; // 旋转结束前，不允许再次触发
    rotate_angle =  rotate_angle - rand_circle * 360 - result_angle[result_index].a - rotate_angle % 360;
    $('#J_bg').css({
        'transform': 'rotate('+rotate_angle+'deg)',
        '-ms-transform': 'rotate('+rotate_angle+'deg)',
        '-webkit-transform': 'rotate('+rotate_angle+'deg)',
        '-moz-transform': 'rotate('+rotate_angle+'deg)',
        '-o-transform': 'rotate('+rotate_angle+'deg)',
        'transition': 'transform ease-out '+during_time+'s',
        '-moz-transition': '-moz-transform ease-out '+during_time+'s',
        '-webkit-transition': '-webkit-transform ease-out '+during_time+'s',
        '-o-transition': '-o-transform ease-out '+during_time+'s'
    });
    // 旋转结束后，允许再次触发
    setTimeout(function(){ 
        obj.flag_click = true;
        obj.prizeWindow();
    },during_time*1000);
    // 告诉结果
    var result = result_angle[result_index].t;
    obj.remain--;
    if(/\d/.test(result)){
    	obj.distReward = result+"币";
    } else{
    	result = 0;
    	obj.distReward = "";
    }
    distReward(obj,result);
}
export function go(obj){
    calculate_result(3,obj);
}


