export function get(_this){
	_this.$http.post(_this.URL_PARAM.API + "/call/get",
	{
		year:_this.year,
		mouth:_this.mouth,
	},{emulateJSON:true}).then(function(response) {
		_this.isClick = false;
		if (!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		if (null == response.data.count || undefined == response.data.count ){
			return;
		}
		_this.list = response.data.list;
		_this.count = response.data.count;
		_this.callRewards = response.data.callRewards;
		_this.rankings = response.data.rankings;
		if(null != _this.rankings && undefined != _this.rankings && "" != _this.rankings){
			_this.ranklength = _this.rankings.length;
		}
		if(null != _this.callRewards && undefined != _this.callRewards && "" != _this.callRewards && _this.callRewards.length > 0){
			for (var i = 0 ; i < _this.callRewards.length ; i++){
				_this.callRewards[i].createTime = formatDateTime(_this.callRewards[i]);
			}
		}
		_this.lookDay();
	},function(res){
		_this.isClick = false;
		_this.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	});
}

export function addUv(_this){
	_this.$http.post(_this.URL_PARAM.API + "/call/add-uv",
	{emulateJSON:true}).then(function(response) {
		
	},function(res){
		
	});
}

export function addPv(_this){
	_this.$http.post(_this.URL_PARAM.API + "/call/add-pv",
	{emulateJSON:true}).then(function(response) {
		
	},function(res){
		
	});
}

export function addClick(_this){
	_this.$http.post(_this.URL_PARAM.API + "/call/add-click",
	{emulateJSON:true}).then(function(response) {
		
	},function(res){
		
	});
}

export function getTip(){
	var number = Math.floor((Math.random()*8));
	var tips = [
				["您已为此漫画注入0.01%的洪荒之力","感谢您的打call~"],
				["打call成功","奖励您一个么么哒~"],
				["打call成功","今天送您一个大大的拥抱~"],
				["打call成功","糟糕，奖励被隔壁老王抢走了"],
				["打call成功","奖励您一个么么哒~"],
				["打call成功","相信我，明天一定送您奖励"],
				["打call成功","您猜，明天会不会有礼物？"],
				["打call成功","奖励你一朵小花花"],
				["打call成功","此漫画现在充满洪荒之力！"]
				];
	return tips[number];
}

function formatDateTime(callReward){
    var datetime = new Date(callReward.createTime);
    var year = datetime.getFullYear();
    var month = datetime.getMonth() + 1 < 10 ? "0" + (datetime.getMonth() + 1) : datetime.getMonth() + 1;
    var date = datetime.getDate() < 10 ? "0" + datetime.getDate() : datetime.getDate();
    var hour = datetime.getHours()< 10 ? "0" + datetime.getHours() : datetime.getHours();
    var minute = datetime.getMinutes()< 10 ? "0" + datetime.getMinutes() : datetime.getMinutes();
    var second = datetime.getSeconds()< 10 ? "0" + datetime.getSeconds() : datetime.getSeconds();
    return year + "-" + month + "-" + date+"    "+hour+":"+minute+":"+second;
}