export function loadData(_this){
	var time = new Date();
	var linkId = _this.getLinkId();
	var isHide = _this.getIsHide();
	_this.$http.post(_this.URL_PARAM.API + "/activityArea/detail-bgArea",
		{
			linkId:linkId,
			isHide:isHide,
		},
		{emulateJSON:true}).then(function(response) {
		var l = new Date().getTime()-time.getTime();
		if (window._czc) {  
		    window._czc.push([
		    	_this.$store.state.umParams.trackEvent, 
		    	_this.$store.state.umParams.event.activityArea.bgArea.category, 
		    	_this.$store.state.umParams.event.activityArea.bgArea.action, 
		    	_this.$store.state.umParams.event.activityArea.bgArea.label,
		    	l,'']);
		} 
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.cartoons = response.data.cartoons;
	});
}


function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}