//加载漫画的付费章节数据
export function loadChapter(_this,isShow){
	//$("#load-cover").show();
	_this.loading = true;
	_this.$http.post(_this.URL_PARAM.API + "/cartoonCollection/list-pay-chapter",
		{
			id:_this.cartoonId,
			pageSize:_this.params.pageSize,
    		pageNo:_this.params.pageNo
		},
		{emulateJSON:true}).then(function(response) {
		//$("#load-cover").hide();
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				_this.loading = false;
				return ;
			}
			_this.loading = false;
			_this.price = response.data.price;
			var user = response.data.user;
			if(null != user){
				window.sessionStorage.setItem('user',JSON.stringify(user));
			}else{
				window.sessionStorage.setItem('user',null);
			}
			_this.user = user;
			_this.isAutoPay = response.data.isAutoPay;
			_this.haveNextPage = response.data.haveNextPage;
			_this.isShowMore = true;
			if(response.data.length <= 0 && !_this.haveNextPage){
				_this.isShowMore = false;
				_this.isShowNull = true;
				if(isShow){
					showPaySuccess(_this);
				}
				return ;
			}
			if(!_this.haveNextPage){
				_this.isShowEnd = true;
				_this.isShowMore = false;
			}
			for(var i = 0 ; i < response.data.list.length ; i++){
				_this.chapterList.push(response.data.list[i]);
			}
	   		if(isShow){
				showPaySuccess(_this);
			}
	});
}

function showPaySuccess(_this){
	_this.tcClose();
	_this.tc3Show();
	$(".allcheack").removeClass("on");
	$("#purchase").removeClass("disabled");
	_this.isDisable  = false;
}
//选择单个
export function checkOne(_this,event,chapterId){
	$(event.currentTarget).toggleClass("on");
	var index1 = $(".wrap .items").size();
	var index2 = $(".wrap .items.on").size();
	if(index1 == index2){
		$(".allcheack").addClass("on");
	}
	if(index1 != index2){
		$(".allcheack").removeClass("on");
	}
	calPrice(_this);
	if($(event.currentTarget).hasClass("on")){
		_this.selectIds.push(chapterId);
		return ;
	}
	_this.selectIds = [];
	addSelectIds(_this);
}
//选择全部
export function checkAll(_this,event){
	$(event.currentTarget).toggleClass("on");
	_this.selectIds = [];
	if($(event.currentTarget).hasClass("on")){
		$(".wrap .items").addClass("on");
		addSelectIds(_this);
		calPrice(_this);
		return ;
	}
	$(".wrap .items").removeClass("on");
	calPrice(_this);
}
//计算付款金额
export function calPrice(_this){
	var allChecked = $(".wrap .on");
	_this.payParams.nums = allChecked.length;
	_this.payParams.labelText = "共"+_this.payParams.nums+"话";
	_this.payParams.costCoins = allChecked.length*_this.price;
}
//添加选择的id
function addSelectIds(_this){
	var allChecked = $(".wrap .on");
	if(allChecked.length <= 0){
		return ;
	}
	for(var i = 0 ; i < allChecked.length; i++){
		var chapterId = $(allChecked[i]).attr("chapter-id");
		_this.selectIds.push(chapterId);
	}
}

//购买
export function purchase(_this,chapterId,event){
	if(_this.isDisable ){
		return ;
	}
	_this.isDisable  = true;
	_this.$http.post(
		_this.URL_PARAM.API+"/orderInfo/new-orderInfo",
		{
			id :_this.cartoonId,
			ids :chapterId,
			readCoins :_this.payParams.costReads,
			giveCoins :_this.payParams.costGives
		},
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			$(event).removeClass("disabled");
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.warnText = '订购成功';
		_this.isReLoad = 1;
		_this.selectIds = [];
		_this.payParams.nums = 0 ;
		_this.payParams.costCoins = 0;
		_this.chapterList = [];
		_this.params.pageNo = 1;
		_this.isShowEnd = false;
		_this.isShowMore = false;
		_this.isShowNull = false;
		loadChapter(_this,true);
		_this.closePayDialog();
		//calPrice(_this);
		//showPrice(_this);
		
	});
}
//设置自动购买
export function setAutoPay(_this,event){
	var state = 1;
	if($(event.currentTarget).hasClass("on")){
		state = 0;		
	}
	_this.params.readChapterId = $(".wrap .on").last().attr("chapter-id");
	_this.params.readChapterId = _this.params.readChapterId==null?0:_this.params.readChapterId;
	_this.$http.post(
		_this.URL_PARAM.API+"/cartoonCollection/auto-pay",
		{
			id :_this.cartoonId,
			chapterId :_this.params.readChapterId,
			state:state
		},
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.isAutoPay = response.data.isAutoPay;
	});
	
}


//计算付款
export function clcDlgPay(_this){
	_this.payParams.costReads = 0;
	_this.payParams.costGives = 0;
	_this.payParams.myReadCoins = 0;
	_this.payParams.myGiveCoins = 0;
	_this.payParams.state = 0;//去登陆
	if(!_this.checkUser()){
		//未登录
		_this.payParams.text='去登陆';
		return ;
	}
	_this.payParams.myReadCoins = _this.user.readCoins;
	_this.payParams.myGiveCoins = _this.user.giveCoins;
	//弹窗信息
	//赠币充足
	_this.payParams.state = 1;//付费解锁
	if(_this.payParams.myGiveCoins >= _this.payParams.costCoins){
		_this.payParams.costReads =  0;
		_this.payParams.costGives = _this.payParams.costCoins;
		_this.payParams.text      = "扣"+_this.payParams.costGives+"赠币";
		return ;
	}
	//赠币不足 
	if(_this.payParams.myGiveCoins > 0  ){
		var surplus = _this.payParams.costCoins - _this.payParams.myGiveCoins;
		//阅读币补足
		if( _this.payParams.myReadCoins >= surplus){
			_this.payParams.costGives = _this.payParams.myGiveCoins;
			_this.payParams.costReads = surplus;
			_this.payParams.text      = "扣"+_this.payParams.costGives+"赠币  "+_this.payParams.costReads+"阅读币";
			return ;
		}
		//阅读币不足
		_this.payParams.isShowTopMsg = true;
		_this.payParams.text = "去充值";
		_this.payParams.state = 2;
		return ;
	}
	//无赠币 ，阅读币充足
	if(_this.payParams.myReadCoins >=_this.payParams.costCoins){
		_this.payParams.costReads =_this.payParams.costCoins;
		_this.payParams.costGives = 0;
		_this.payParams.text   = "扣"+_this.payParams.costReads+"阅读币";
		return ;
	}
	//无赠币、无阅读币
	_this.payParams.text = "去充值";
	_this.payParams.state = 2;
	_this.payParams.isShowTopMsg = true;
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}
	
export function updateStatClick(_this,type){
	_this.$http.post(_this.URL_PARAM.API + "/index/app-update-stat-click",{type:type},
		{emulateJSON:true}).then(function(response){
		if(!response.data.success){
			showMsg(_this.response.data.info,"warning");
			return;
		}
	});
}
