export function detail(_this){
	if(_this.getAppstyle()){
		return detailByUser(_this);
	}
	if(window.plus){
		return detailByUuid(_this);
	}
}
function detailByUuid(_this){
	$("#load-cover").show();
	_this.$http.post(_this.URL_PARAM.API + "/chapter/ios-detail2",
		{
			id		: _this.id,
			isLock	: _this.isLock,
			uuid	: plus.device.uuid,
			linkId	: _this.getLinkId()
		},{emulateJSON:true}).then(function(response) {
			$("#load-cover").hide();
			var data = response.data;
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
	     		return ;
			}
			var qcCode = response.data.qcCode;
			var focusUrl = response.data.focusUrl;
			var authUrl = response.data.authUrl;
			var preChapterId = 0;
			var followUrl = "/chapter/follow/"+_this.id;
			var isWx = checkWeiXin();
			if(_this.chapter != null && _this.chapter.preChapter != null ){
				preChapterId = _this.chapter.preChapter.id;
				followUrl += '?preChapterId='+preChapterId;
			}
			if(isWx && focusUrl != null && focusUrl != ""){
				window.location.href = focusUrl;
				return ;
			}
			if(qcCode != null && qcCode != ""){
				window.sessionStorage.setItem('qcCode',qcCode);
				_this.$router.push(followUrl);
				return ;
			}
			if(isWx && authUrl != null && authUrl != ""){
				window.location.href = authUrl;
				return ;
			}
			$(".readCartoon").addClass("on");
			_this.payState = data.payState;
			//设置推荐漫画
			setRecommends(_this,data);
			//设置漫画
			setChapter(_this,data);
			//设置用户信息
			setUserInfo(_this,data);
			_this.setBrowseCookie();
			//更新数据
			document.body.scrollTop = document.documentElement.scrollTop = 0;
			_this.updateAll();
			//更新cookie
			_this.showFloatBtn();
			_this.showInviteDialog();
			_this.isActivity = response.data.isActivity;
		
	});
}
function detailByUser(_this){
	$("#load-cover").show();
	var linkId = _this.getLinkId();
	var isHide = _this.getIsHide();
	_this.$http.post(_this.URL_PARAM.API + "/chapter/detail2",
		{id:_this.id,isLock:_this.isLock,linkId:linkId,isHide:isHide},{emulateJSON:true}).then(function(response) {
		$("#load-cover").hide();
		var data = response.data;
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
     		return ;
		}

		var qcCode = response.data.qcCode;
		var focusUrl = response.data.focusUrl;
		var authUrl = response.data.authUrl;

		var followUrl = "/chapter/follow/"+_this.id;
		var isWx = checkWeiXin();
		var preChapterId = 0;
		if(_this.chapter != null && _this.chapter.preChapter != null ){
			preChapterId = _this.chapter.preChapter.id;
			followUrl += '?preChapterId='+preChapterId;
		}
		if(isWx && focusUrl != null && focusUrl != ""){
			window.location.href = focusUrl;
			return ;
		}
		if(qcCode != null && qcCode != ""){
			window.sessionStorage.setItem('qcCode',qcCode);
			_this.$router.push(followUrl);
			return ;
		}
		if(isWx && authUrl != null && authUrl != ""){
			window.location.href = authUrl;
			return ;
		}
		_this.$bus.$emit("calcByBusUser", 20);
		$(".readCartoon").addClass("on");
		_this.payState = data.payState;
		//设置推荐漫画
		setRecommends(_this,data);
		//设置漫画
		setChapter(_this,data);
		//设置用户信息
		setUserInfo(_this,data);
		_this.setBrowseCookie();
		//更新数据
		document.body.scrollTop = document.documentElement.scrollTop = 0;
		_this.updateAll();
		//更新cookie
		_this.showFloatBtn();
		_this.showInviteDialog();
		_this.isActivity = response.data.isActivity;
	});
}

function checkWeiXin(){
    var ua = window.navigator.userAgent.toLowerCase(); 
    if (ua.match(/MicroMessenger/i) == 'micromessenger') {
       return true;
    } 
    return  false;
}
function setUserInfo(_this,data){
	_this.user  = data.user;
	if(undefined != _this.user && null != _this.user){
		window.sessionStorage.setItem('TOURIST_ACCOUNT',_this.user.account);
	}
	_this.taskVo = data.taskVo;
	_this.shareTaskUserItem = data.shareTaskUserItem;
	if(_this.user != null && _this.user.taskCompState){
		_this.taskInfo = "购买漫画任务任务完成啦，快去任务中心领取~";
		_this.showTaskCompToast();
	}
	if(data.payState){
		return ;
	}
	//计算价格
	calPrice(_this);
	//显示付费弹窗
	_this.showPayDialog();
	
}

//设置漫画信息
function setChapter(_this,data){
	_this.isAutoPay = data.isAutoPay;
	_this.chapter = data.chapter;
	_this.cartoon = data.cartoon;
	_this.cartoonType = data.cartoonType;
	_this.isPack = data.cartoon.isPack;
	_this.isLimit = data.cartoon.isLimit;
	_this.readCoins = data.cartoon.readCoins;
	_this.freeCoins = data.cartoon.freeCoins;
	_this.isComicStore = data.cartoon.isComicStore;
	_this.comicStoreDisCount = data.cartoon.disCount;;
	if(!data.payState){
		return ;
	}
	//上一话或下一话的显示
	addPreAndNext(_this);
	//显示底部的信息
	_this.showFooter();
}
//设置推荐漫画
function setRecommends(_this,data){
	_this.intellgent = data.intellgent;
	_this.blitz = data.blitz;
	_this.articial = data.articial;
}

//上一话或下一话的显示
function addPreAndNext(_this){
	if(_this.chapter.preChapter){
		_this.preParam.text = '上一话';
		_this.preParam.chapterId = _this.chapter.preChapter.id;
	}
	if(!_this.chapter.preChapter){
		_this.preParam.text = '首页';
		_this.preParam.chapterId = 0;
	}
	if(_this.chapter.nextChapter){
		_this.nextParam.text = '下一话';
		_this.nextParam.chapterId = _this.chapter.nextChapter.id;
	}
	if(!_this.chapter.nextChapter){
		_this.nextParam.text = '首页';
		_this.nextParam.chapterId = 0;
	}
}
//计算付款
function calPrice(_this){
	_this.payParams.nums  = 1;
	_this.payParams.costReads = 0;
	_this.payParams.costGives = 0;
	_this.payParams.myReadCoins = 0;
	_this.payParams.myGiveCoins = 0;
	_this.payParams.state = 0;//去登陆
	_this.payParams.costCoins = _this.cartoon.price;
	if(!_this.checkUser()){
		//未登录
		_this.payParams.text='去登陆';
		return ;
	}
	_this.payParams.myReadCoins = _this.user.readCoins;
	_this.payParams.myGiveCoins = _this.user.giveCoins;
	//弹窗信息
	//赠币充足
	_this.payParams.state = 1;//付费解锁
	if(checkPayType(_this) && _this.payParams.myGiveCoins >= _this.cartoon.price){
		_this.payParams.costReads =  0;
		_this.payParams.costGives = _this.cartoon.price;
		_this.payParams.text      = "扣"+_this.payParams.costGives+"赠币";
		return ;
	}
	//赠币不足 
	if(checkPayType(_this) && _this.payParams.myGiveCoins > 0  ){
		var surplus = _this.cartoon.price - _this.payParams.myGiveCoins;
		//阅读币补足
		if( _this.payParams.myReadCoins >= surplus){
			_this.payParams.costGives = _this.payParams.myGiveCoins;
			_this.payParams.costReads = surplus;
			_this.payParams.text      = "扣"+_this.payParams.costGives+"赠币  "+_this.payParams.costReads+"阅读币";
			return ;
		}
		//阅读币不足
		_this.payParams.isShowTopMsg = true;
		_this.payParams.text = "充值并解锁";
		_this.payParams.state = 2;
		return ;
	}
	//无赠币 ，阅读币充足
	if(_this.payParams.myReadCoins >= _this.cartoon.price){
		_this.payParams.costReads = _this.cartoon.price;
		_this.payParams.costGives = 0;
		_this.payParams.text   = "扣"+_this.payParams.costReads+"阅读币";
		return ;
	}
	//无赠币、无阅读币
	_this.payParams.text = "充值并解锁";
	_this.payParams.state = 2;
	_this.payParams.isShowTopMsg = true;
}

function checkPayType(_this){
	if (!_this.cartoonType){
		return true;
	}
	if (!_this.cartoonType){
		return true;
	}
	return _this.cartoonType.payType != 20;
}

//设置自动购买
export function setAutoPay(_this,event){
	var state = _this.isAutoPay?0:1;
	if(_this.getAppstyle()){
		return setAutoPayByUser(_this,state);
	}
	if(window.plus){
		return setAutoPayByUuid(_this,state);
	}
}

function setAutoPayByUuid(_this,state){
	_this.$http.post(
		_this.URL_PARAM.API+"/cartoonCollection/ios-auto-pay",
		{
			uuid		: plus.device.uuid,
			id 			: _this.chapter.cartoonCollectionId,
			chapterId 	: _this.id,
			state		: state,
			linkId		: _this.getLinkId()
		},
		{emulateJSON:true}).then(function(response) {
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				return ;
			}
			_this.isAutoPay = response.data.isAutoPay==1;
	});
}
function setAutoPayByUser(_this,state){
	_this.$http.post(
		_this.URL_PARAM.API+"/cartoonCollection/auto-pay",
		{
			id :_this.chapter.cartoonCollectionId,
			chapterId :_this.id,
			state:state
		},
		{emulateJSON:true}).then(function(response) {
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				return ;
			}
			_this.isAutoPay = response.data.isAutoPay==1;
	});
}


//购买章节
export function purchase(_this,chapterId,isUnlock){
	if(_this.isLoading){
		return alert('正在支付，请稍后');
	}
	if(_this.getAppstyle()){
		return purchaseByUser(_this,chapterId,isUnlock);
	}
	if(window.plus){
		purchaseByUuid(_this,chapterId,isUnlock);
	}
}
function purchaseByUuid(_this, chapterId, isUnlock){
	$("#load-cover").show();
	_this.isLoading = true;//标记为正在支付
	var url = _this.URL_PARAM.API+"/orderInfo/ios-pay-chapter";
	var postData = {
		cartoonId :_this.cartoon.id,
		chapterId :chapterId,
		uuid      :plus.device.uuid,
		linkId    :_this.getLinkId()
	};
	_this.$http.post(url, postData, {emulateJSON:true}).then(function(response) {
		_this.isLoading = false;
		var data = response.data;
		if(!data.success){
			if(isUnlock){
				_this.unlockChapter();
				return ;
			}
			$("#load-cover").hide();
			_this.warnText = response.data.info;
			_this.tc3Show();
			return ;
		}
		$("#load-cover").hide();
		_this.chapter.chapterPicVos = data.chapter.chapterPicVos;
		_this.user = data.user;
		_this.payState = true;
		_this.closePayDialog();
		//更新数据
		_this.updateAll();
		_this.setBrowseCookie();
		addPreAndNext(_this);
		_this.showFooter();
		_this.showFloatBtn();
	});
}
function purchaseByUser(_this,chapterId,isUnlock){
	$("#load-cover").show();
	_this.isLoading = true;//标记为正在支付
	var url = _this.URL_PARAM.API+"/orderInfo/pay-chapter";
	var postData = {
		cartoonId :_this.cartoon.id,
		chapterId :chapterId
	};
	_this.$http.post(url, postData, {emulateJSON:true}).then(function(response) {
		_this.isLoading = false;
		var data = response.data;
		if(!data.success){
			if(isUnlock){
				_this.unlockChapter();
				return ;
			}
			$("#load-cover").hide();
			_this.warnText = response.data.info;
			_this.tc3Show();
			return ;
		}
		$("#load-cover").hide();
		_this.chapter.chapterPicVos = data.chapter.chapterPicVos;
		_this.user = data.user;
		window.sessionStorage.setItem('user',JSON.stringify(_this.user));
		_this.payState = true;
		_this.closePayDialog();
		//更新数据
		_this.updateAll();
		_this.setBrowseCookie();
		addPreAndNext(_this);
		_this.showFooter();
		_this.showFloatBtn();
	});
}

//收藏漫画
export function collect(_this){
	if(_this.isLoading){
		return ;
	}
	_this.isLoading = true;
	_this.$http.post(
		_this.URL_PARAM.API+"/cartoonCollection/collect",
		{
			id:_this.chapter.cartoonCollectionId
		},
		{emulateJSON:true}).then(function(response) {
			_this.isLoading = false;
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				return ;
			}
			var state = response.data.state;
			_this.taskState = response.data.taskState;
			if(_this.taskState != null  && _this.taskState >= 1){
				_this.taskInfo = "收藏漫画任务任务完成啦，快去任务中心领取~";
				_this.showTaskCompToast();
			}
			if(state == 1){
				//收藏成功
				_this.chapter.isCollect = true;
				$(".collection-btn").toggleClass("on");
				return ;
			}
			$(".collection-btn").toggleClass("on");
			_this.chapter.isCollect = false;
	});
}

//点赞章节
export function praise(_this){
	if(_this.isLoading){
		return ;
	}
	_this.isLoading = true;
	_this.$http.post(
		_this.URL_PARAM.API+"/chapter/priase",
		{
			id :_this.chapter.id
		},
		{emulateJSON:true}).then(function(response) {
			_this.isLoading = false;
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				return ;
			}
			var praiseState = response.data.state;
			if(praiseState == 0){
				_this.chapter.shamPraiseCount = _this.chapter.shamPraiseCount - 1;
				_this.chapter.isPraise = false;
				return ;
			}
			_this.chapter.shamPraiseCount = _this.chapter.shamPraiseCount + 1;
			_this.chapter.isPraise = true;
	});
	
}
//更新用户的浏览记录
export function updateBrowse(_this){
	_this.$http.post(
		_this.URL_PARAM.API+"/chapter/update-browse",
		{
			id :_this.chapter.id
		},
		{emulateJSON:true}).then(function(response) {
			if(!response.data.success){
				showMsg(_this,"网络异常请稍后重试","warning");
				return ;
			}
			if(!response.data.taskState){
				return ;
			}
			_this.taskInfo = "阅读漫画任务任务完成啦，快去任务中心领取~";
			//任务完成
			_this.showTaskCompToast();
	});
}

//查看下一话
export function goChapter(_this,chapterId){
	_this.$router.push('/chapter/detail-chapter/'+chapterId);//跳转详情
	_this.isLoading = false;
}

//更新章节推荐点击统计数据
export function updateRecommendClick(_this,cartoonId,url){
	_this.$http.post(
		_this.URL_PARAM.API+"/chapter/update-recommend-click",
		{
			cartoonId:cartoonId
		},
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.$router.push(url);
	});
	
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}

/****************************************************************/

