export var commonMixin = {
	methods:{
		//赠币过期
		expireCoins:function(){
			var user = JSON.parse(window.sessionStorage.getItem('user'));
	  		if(null == user){
	  			 return ;
	  		}
	  		_this.$http.post(
				_this.URL_PARAM.API + "/user/expire-coins",
				{},
				{emulateJSON:true}).then(function(response) {
				    if(!response.data.success){
						return ;
				    }
		    		var user = data.user;
		    		if(user == null){
		    			return ;
		    		}
		    		window.sessionStorage.setItem('user',JSON.stringify(user))
		    });
		},
		//获取用户的任务数据
		getUserTask:function(){
			var user = JSON.parse(window.sessionStorage.getItem('user'));
	  		if(null == user){
	  			 return ;
	  		}
	  		_this.$http.post(
				_this.URL_PARAM.API + "/taskUser/get",
				{},
				{emulateJSON:true}).then(function(response) {
				    if(!response.data.success){
						return ;
				    }
		    		var user = data.user;
		    		if(user == null){
		    			return ;
		    		}
		    		window.sessionStorage.setItem('user',JSON.stringify(user))
		    });
		},
	}
}
//通用方法
export var utilMixin = {
	methods:{
		getNowFormatDate:function(){
			var date = new Date();
	    	var seperator1 = "-";
		    var seperator2 = ":";
		    var month = date.getMonth() + 1;
		    var strDate = date.getDate();
		    if (month >= 1 && month <= 9) {
		        month = "0" + month;
		    }
		    if (strDate >= 0 && strDate <= 9) {
		        strDate = "0" + strDate;
		    }
		    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate;
		    return currentdate;
		},
		getImgCtxUrl:function(pic){
			return this.URL_PARAM.CTX_IMAGE+pic;
		},
		replaceHostUrl:function(url){
				if(url == undefined || url == ""){
						return url;
				}
				var index = url.indexOf(this.URL_PARAM.HOST);
				if( index < 0){
					return url;
				}
				url = url.replace(this.URL_PARAM.HOST,"");
				if(url.indexOf('/?#') == 0){
					url = url.replace("/?#","");
					return url;
				}
				if(url.indexOf('/#') == 0){
					url = url.replace("/?#","");
					return url;
				}
				return url;
		},
		getLoginUser:function(){
			var user = this.getSession('user');
			if(user){
				return user;
			}
			return null;
		},
		getSession:function(key){
			var user = window.sessionStorage.getItem(key);
			//console.log("get session key:"+key+"\t value:"+user);
			if (user && user != "undefined" && user != "null"){
				return JSON.parse(user);
			}
			return null;
		},
		getTouristId:function(){
			var user = this.getLoginUser();
			var userId = null;
			if(user && user.id){
				userId = user.id;
				return userId;
			}
			var userAccount = window.sessionStorage.getItem('TOURIST_ACCOUNT');
			if(userAccount && userAccount != "undefined" && userAccount != "null"){
				userId = parseInt(userAccount);
			}
			return userId;
		},
		timestampToDateStr:function(timestamp){
			var date = new Date(timestamp);
		    var y = date.getFullYear();
		    var m = date.getMonth() + 1;
		    var d = date.getDate();
		    var hour = date.getHours().toString();
		    var minutes = date.getMinutes().toString();
		    var seconds = date.getSeconds().toString();
		    if (hour < 10) {
		        hour = "0" + hour;
		    }
		    if (minutes < 10) {
		        minutes = "0" + minutes;
		    }
		    if (seconds < 10) {
		        seconds = "0" + seconds;
		    }
		    return  y + '-' + (m < 10 ? ('0' + m) : m) + '-' + (d < 10 ? ('0' + d) : d);
		},
		checkLogin:function(){
			var user = window.sessionStorage.getItem('user');
			return user != null && user != "undefined" && user != undefined && user != "null" ;
		},
		getUserInfo:function(){
			var user = window.sessionStorage.getItem('user');
			if (user != null && user != "undefined" && user != undefined && user != "null"){
				user = JSON.parse(user);
				return user;
			}
			return null ;
		},
		isEmpty:function(value){
			return !value || value == 'undefined' || value == "null" || value == "";
		},
		//统计
		clcByBusLinkClick:function(){
			//渠道链接点击统计
			var linkId = this.getLinkId();
			if (this.isEmpty(linkId)){
				return ;
			}
			console.log("clc bus link click start");
			var _this = this;
			_this.$http.post(
				_this.URL_PARAM.API+'/add-link-click',
				{
					linkId:linkId
				},
				{emulateJSON:true}).then(function(response) {
			     	if(!response.data.success){
			      		return;
					}
		    	}, function(response) {
		 		});
		},
		//用户登陆统计
		logByUserLogin:function(){
			var _this = this;
			_this.$http.post(
				_this.URL_PARAM.API+'/user/log',
				{},
				{emulateJSON:true}).then(function(response) {
			     	if(!response.data.success){
			      		return;
					}
				}, function(response) {
				});
		},
		//变更IOS游客的所属渠道
		change:function(){
			console.log("start change");
			if (this.getLoginUser()){
				//console.log("change login");
				//已登录
				return ;
			}
			if (!window.plus || !plus.device.uuid){
				//console.log("change plus error");
				return ;
			}
			if (this.getAppstyle()){
				//安卓不处理
				//console.log("change app is not ios appstyle:"+this.getAppstyle());
				return ;
			}
			var _this = this ;
			//console.log("start change 22");
			_this.$http.post(
			_this.URL_PARAM.API+'/user/tourist/change',
			{
				uuid:plus.device.uuid,
				linkId:_this.getLinkId()
			},
			{emulateJSON:true}).then((response) => {
		     	if (!response.data.success){
		     		console.log(data.info);
		      		return;
				}
		     	//console.log("change success");
	    	}, (response) => {
	    		//console.log("change error");
	   	 	});
			
		},
		//页面访问量
  		clcByBusPageView:function(){
  			var _this = this;
  			_this.$http.post(
				_this.URL_PARAM.API+'/stat/bus/modify-page-view',
				{
					linkId : _this.getLinkId()
				},
				{emulateJSON:true}).then(function(response) {
			     	if(!response.data.success){
			      		return;
					}
				}, function(response) {
				});
  		},
  		loginByAuto:function(_callBack){
  			var account = localDB.getItem(this.SESSION_KEY.PC_COOKIE_ZS_USER);
			console.log("start auth account login");
			if (!this.isEmpty(account)){
				//账号登陆
				this.loginByAccount(account, _callBack);
				return ;
			}
			console.log("start auth qq login");
			var qq_union_id = localDB.getItem(this.SESSION_KEY.QQ_CY_UNION_ID);
			var qq_open_id = localDB.getItem(this.SESSION_KEY.QQ_CY_OPEN_ID)
			if (!this.isEmpty(qq_union_id) && !this.isEmpty(qq_open_id)){
				this.loginByQQ(qq_union_id, qq_open_id, _callBack);
				return ;
			}
			console.log("start auth wx login");
			var wx_union_id = localDB.getItem(this.SESSION_KEY.ZS_CY_UNION_ID);
			var wx_open_id = localDB.getItem(this.SESSION_KEY.ZS_CY_OPEN_ID)
			if (!this.isEmpty(wx_union_id) && !this.isEmpty(wx_open_id)){
				this.loginByWx(wx_union_id, _callBack);
				return ;
			}
			console.log("start auth change");
			var res = {
				code:5000,
				msg:""
			}
			_callBack && _callBack(res);
  		},
  		loginByAccount:function(account, _callBack){
  			var _this = this;
			var linkId = _this.getLinkId();
			if(this.isEmpty(linkId)){
				linkId = '';
			}
			this.$http.post(this.URL_PARAM.API + "/index/autoLogin",
			{
				account:account,
				linkId:linkId,
				loginType:20,
			},{
				emulateJSON:true,
				credentials: true
			}).then(function(fam) {
				if(!fam.data.success){
					//window.location.href = _this.URL_PARAM.MOBILE+_this.loc;
					var res = {
						code:1000,
						msg:fam.data.info
					}
					_callBack && _callBack(res);
					return ;
				}
				_this.loginInfo = "登录成功";
				var user = fam.data.user;
			    var obj = JSON.stringify(user);
				window.sessionStorage.setItem('user',obj);
				_this.$bus.$emit("logByUserLogin");
				_this.$bus.$emit('modifyPushToken');
				var res = {
					code:4000,
					msg:fam.data.info
				}
				_callBack && _callBack(res);
			});
		},
		loginByQQ:function(qq_union_id, qq_open_id, _callBack){
			var _this = this;
			var linkId = _this.getLinkId();
			if(linkId == null || linkId == undefined || linkId == "undefined" || linkId == "null"){
				linkId = '';
			}
			_this.$http.post(_this.URL_PARAM.API + "/index/app-qq-autoLogin",
			{
				QQunionId:qq_union_id,
				QQOpenId:qq_open_id,
				linkId:linkId
			}
			,{
				emulateJSON:true,
				credentials: true
			}).then(function(fam) {
				if(!fam.data.success){
					var res = {
						code:1000,
						msg:fam.data.info
					}
					_callBack && _callBack(res);
					return ;
				}
				var user = fam.data.user;
			    var obj = JSON.stringify(user);
				window.sessionStorage.setItem('user',obj);
				_this.$bus.$emit("logByUserLogin");
				_this.$bus.$emit('modifyPushToken');
				var res = {
					code:4000,
					msg:fam.data.info
				}
				_callBack && _callBack(res);
			});
		},
		loginByWx:function(wx_union_id, _callBack){
			var _this = this;
			var linkId = _this.getLinkId();
			if(linkId == null || linkId == undefined || linkId == "undefined" || linkId == "null"){
				linkId = '';
			}
			_this.$http.post(_this.URL_PARAM.API + "/index/auto-weixin",
			{
				unionid:wx_union_id,
				linkId:linkId
			}
			,{
				emulateJSON:true,
				credentials: true
			}).then(function(fam) {
				_this.isLogining = false;
				if(!fam.data.success){
					var res = {
						code:1000,
						msg:fam.data.info
					}
					_callBack && _callBack(res);
					return ;
				}
				var user = fam.data.user;
			    var obj = JSON.stringify(user);
				window.sessionStorage.setItem('user',obj);
				_this.$bus.$emit("logByUserLogin");
				_this.$bus.$emit('modifyPushToken');
				var res = {
					code:4000,
					msg:fam.data.info
				}
				_callBack && _callBack(res);
			});
		},
		compareVersion : function (version1, version2) {
	      //第一步：使用正则，先把传参进来的两个版本号中空格给替换成空。
	      var nStr1 = version1.replace(/(^\s+)|(\s+$)/gi,"");
	      var nStr2 = version2.replace(/(^\s+)|(\s+$)/gi,"");
	      //第二步：进行一次判断，万一我们传进来的是空的，提示一下，
	      console.log("version1:"+version1+"\t version2:"+version2);
	      if (!nStr1 || !nStr2){
	         return true;
	      }
	      //第三步：使用正则来匹配截取两个传进来的版本号中的版本数字
	      var req = /\d(\.|\d)*\d/gi; //这个是匹配**.**.**数字的正则
	      nStr1 = nStr1.match(req)[0]; //match出来的是一个数组，这个匹配出来在第0个
	      nStr2 = nStr2.match(req)[0];
	      //第四步：版本比较，先把版本号字符串切割成数组，[主版本号，次版本号，修订号]
	      var arr1 = nStr1.split('.'); //[**,**,**]
	      var arr2 = nStr2.split('.');
	      //第五步：开始比较
	      var minL = Math.min(arr1.length,arr2.length);
	      var index = 0;
	      var diff = 0;
	      while (index < minL){
	        	//循环数组的每一项，相减的差额来做判断
		       diff = parseInt(arr1[index]) - parseInt(arr2[index]);
		       if (diff != 0){
		          break;
		       }
		       index++;
	      }
	      diff = (diff != 0) ? diff : (arr1.length - arr2.length);
	      //通过diff的值与0比较，生成true（第一个大于第二个） 或者是false（不大于）
	      return diff > 0;
	 	}
	}
}

export var aliPayMixin = {
	methods:{
		//支付宝支付
	  	aliPay:function(){
	  		var orderId = 0;
				var cartoonId = 0;
				if(this.isRechargePage){
					//充值页面吊起支付
					orderId = this.orderId;
					cartoonId = this.cartoonId;
				}else{
					//章节页面吊起支付
					orderId = this.selectParams.id;
					cartoonId = this.rechargeParams.cartoonId;
					window.sessionStorage.setItem('payChapterId',this.rechargeParams.chapterId);
				}
				var user = JSON.parse(window.sessionStorage.getItem('user'));
				var str = orderId+","+user.id+","+this.SESSION_KEY.MD5_KEY;
				var hash = md5(str);
				this.payFlag = false;
		    window.location.href = this.URL_PARAM.API + "/alipay/create?rechargeId="+orderId+"&cartoonId="+cartoonId+"&userId="+user.id+"&key="+hash;
	  	},
	  	wxH5:function(obj){
			var orderId = 0;
			var cartoonId = 0;
			if(this.isRechargePage){
				//充值页面吊起支付
				orderId = this.orderId;
				cartoonId = this.cartoonId;
			}else{
				//章节页面吊起支付
				orderId = this.selectParams.id;
				cartoonId = this.rechargeParams.cartoonId;
				window.sessionStorage.setItem('payChapterId',this.rechargeParams.chapterId);
			}
			var user = JSON.parse(window.sessionStorage.getItem('user'));
			this.$http.post(this.URL_PARAM.API + "/weixin/pay/h5-pay",
			{
				orderId:orderId,
				cartoonId:cartoonId
			},{emulateJSON:true}).then(function(response) {
				if(!response.data.success){
		     		showMsg(_this,response.data.info,"warning");
		     		return ;
				}
				window.location.href = response.data.url;
			});
		},
	}
}