//加载首页数据
export function loadIndex(_this){
	
	var time = new Date();
	var linkId = _this.getLinkId();
	var isHide = _this.getIsHide();
	_this.$http.post(_this.URL_PARAM.API + "/index",
		{
			linkId:linkId,
			isHide:isHide,
		}
		,
		{emulateJSON:true}).then(function(response) {
		var time1 = new Date();
		var l = time1.getTime()-time.getTime();
		if (window._czc && _this.isUmTest) {  
		    window._czc.push(['_trackEvent', '首页', '获取首页信息', '测试',l,'']);
		} 
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		/*if (null != localDB.getItem(this.SESSION_KEY.APP_FIRST_OPEN)){
			_this.$bus.$emit("alertUnderageUse");
		}*/
		if(response.data.isTag == 1){
			_this.$router.push('/user/label/1');
		}
		_this.neverTip = response.data.neverTip;
		_this.indexBean = response.data.indexBean;
		_this.paperActivity = response.data.paperActivity;
		_this.shareTaskUserItem = response.data.shareTaskUserItem;
		_this.taskVo = response.data.taskVo;
		if(_this.indexBean == null){
			_this.invitationShow();
			_this.windmillShow();
			return ;
		}
		showActivityAd(_this);
		_this.invitationShow();
		_this.windmillShow();
		_this.onload();
		_this.isHistory();				
	});
}

//点击广告增加浏览量
export function updateViews(_this,url,cartoonId){
	_this.$http.post(_this.URL_PARAM.API + "/app-update-views",
		{
			type:_this.type,
			genre:_this.genre,
			url:url,
			cartoonId:cartoonId
		},
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
	});
}
//判断节日广告是否可以显示
function showActivityAd(_this){
	if(_this.checkSpeTime()){
		return ;
	}
	if(_this.indexBean.activityAdVo == null ){
		return ;
	}
	if(_this.indexBean.activityAdVo.status == 1){
		return ;
	}
	var now = new Date();
	if(_this.indexBean.activityAdVo.startDate > now.getTime()){
		_this.indexBean.activityAdVo.status = 1;
	}
	if(_this.indexBean.activityAdVo.endDate < now.getTime()){
		_this.indexBean.activityAdVo.status = 1;
	}
	
	if(_this.indexBean.activityAdVo.status != 0 ){
		return;
	}
	var prePic = _this.indexBean.activityAdVo.picUrl;
	var len = _this.indexBean.activityAdVo.picUrl.length;
	var pic = prePic.substr(0,len-3);
	_this.indexBean.activityAdVo.picUrl = pic;
	//当天不在显示
	var date = _this.getActivityCookie();
	var curDate = _this.getNowFormatDate();
	if(date == null ){
		_this.setActivityCookie(curDate);
		_this.tcShow();
		return ;
	}
	if(date == curDate){
		return ;
	}
	_this.tcShow();
	_this.setActivityCookie(curDate);
	
}


/** 
 * 日期解析，字符串转日期 
 * @param dateString 可以为2017-02-16，2017/02/16，2017.02.16 
 * @returns {Date} 返回对应的日期对象 
 */  
function dateParse(dateString){  
    var SEPARATOR_BAR = "-";  
    var SEPARATOR_SLASH = "/";  
    var SEPARATOR_DOT = ".";  
    var dateArray;  
    if(dateString.indexOf(SEPARATOR_BAR) > -1){  
        dateArray = dateString.split(SEPARATOR_BAR);    
    }else if(dateString.indexOf(SEPARATOR_SLASH) > -1){  
        dateArray = dateString.split(SEPARATOR_SLASH);  
    }else{  
        dateArray = dateString.split(SEPARATOR_DOT);  
    }  
    return new Date(dateArray[0], dateArray[1]-1, dateArray[2]);   
};  
  
/** 
 * 日期比较大小 
 * compareDateString大于dateString，返回1； 
 * 等于返回0； 
 * compareDateString小于dateString，返回-1 
 * @param dateString 日期 
 * @param compareDateString 比较的日期 
 */  
function dateCompare(dateString, compareDateString){  
    if(isEmpty(dateString)){  
        alert("dateString不能为空");  
        return;  
    }  
    if(isEmpty(compareDateString)){  
        alert("compareDateString不能为空");  
        return;  
    }  
    var dateTime = dateParse(dateString).getTime();  
    var compareDateTime = dateParse(compareDateString).getTime();  
    if(compareDateTime > dateTime){  
        return 1;  
    }else if(compareDateTime == dateTime){  
        return 0;  
    }else{  
        return -1;  
    }  
};  
  
/** 
 * 判断日期是否在区间内，在区间内返回true，否返回false 
 * @param dateString 日期字符串 
 * @param startDateString 区间开始日期字符串 
 * @param endDateString 区间结束日期字符串 
 * @returns {Number} 
 */  
function isDateBetween(dateString, startDateString, endDateString){  
    if(isEmpty(dateString)){  
        alert("dateString不能为空");  
        return;  
    }  
    if(isEmpty(startDateString)){  
        alert("startDateString不能为空");  
        return;  
    }  
    if(isEmpty(endDateString)){  
        alert("endDateString不能为空");  
        return;  
    }  
    var flag = false;  
    var startFlag = (dateCompare(dateString, startDateString) < 1);  
    var endFlag = (dateCompare(dateString, endDateString) > -1);  
    if(startFlag && endFlag){  
        flag = true;  
    }  
    return flag;  
}; 

function isEmpty(value){
	return value == null || value == "";
}

function showMsg(_this,msg,type){
	
	// _this.$message({
	// 	showClose: true,
	// 	type: type,
	// 	message:msg 
	// });
}

export function goChapter(_this){
	_this.$http.post(_this.URL_PARAM.API + "/get-chapterId",{id:_this.id},
		{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
			return ;
		}
		_this.goChapter(response.data.chapterId);	
	});
}

export function updateStatClick(_this,type,url){
	_this.$http.post(_this.URL_PARAM.API + "/index/app-update-stat-click",{type:type},
		{emulateJSON:true}).then(function(response){
		if(!response.data.success){
			showMsg(_this.response.data.info,"warning");
			return;
		}
	});
	_this.$router.push(url);
}

export function noMoreTip(_this){
	_this.$http.post(_this.URL_PARAM.API + "/index/update-tip-state",{},
		{emulateJSON:true}).then(function(response){
		if(!response.data.success){
			showMsg(_this.response.data.info,"warning");
			return;
		}
		_this.invitationClose();
	});
}

