export function loadData(_this){
	_this.$http.post(_this.URL_PARAM.API + "/paperActivity/get-paper-activity",
		{},{emulateJSON:true}).then(function(response) {
		if(!response.data.success){
			showMsg(_this,response.data.info,"warning");
     		return ;
		}
		_this.activity = response.data.activityVo;
		_this.questions = _this.activity.questionVos;
		_this.options = _this.questions.options;
		_this.questionLength = _this.questions.length;
	});
}


export function saveAnswer(_this){
	_this.$http.post(_this.URL_PARAM.API + "/paperActivity/save-userAnswer",
		JSON.stringify(_this.activity),{
			emulateJSON:true
		}).then(function(response) {
		if(!response.data.success){
			_this.warnText = response.data.info;
			$(".cover3").fadeIn();
       		$(".unselected").show();
     		return ;
		}
		_this.isExtra = response.data.isExtra;
		_this.tcShow();
	});
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}


