
export function init(_this){
	if(!window.plus){
		//console.log("plus is error");
		return ;
	}
	if (window._iapChannel){
		//console.log("pay exist");
		return ;
	}
	console.log("ios pay init ");
	window._iapChannel = null;
	if (_this.getNetwork() == plus.networkinfo.CONNECTION_NONE){
		_this.$bus.$emit("network", 1, true);
		return ;
	}
	console.log("request order plusReady:");
    // 获取支付通道
    var goodsId = getGoodids(_this);
}
// 1、后台拿出所有的苹果产品id
function getGoodids(obj){
	console.log(" prepare get goods id success");
	obj.$http.post(obj.URL_PARAM.API + "/apple/get-goods-id", {
		//
	}, {
		emulateJSON: true
	}).then(function(response) {
		console.log("get goods id success:"+JSON.stringify(response.body.goodsId));
	    var iapChannel;
	    var IAPOrders = response.body.goodsId;
//      var IAPOrders = ['com.kuangsheng.ciyuanman.yuedubi18','com.kuangsheng.ciyuanman.yuedubi50',
//					'com.kuangsheng.ciyuanman.yuedubi98','com.kuangsheng.ciyuanman.yuedubi198'];
	    plus.payment.getChannels(function(channels) {
	    	//console.log("ios channels:"+JSON.stringify(channels));
	        for (var i = 0; i < channels.length ; i++) {
	        	console.log("channels[i].id :"+channels[i].id);
	            if (channels[i].id == 'appleiap') {
	                iapChannel = channels[i];
	                //console.log("ios pay get");
	                iapChannel.requestOrder(IAPOrders, function(event) {
	                	//console.log("request order event:"+JSON.stringify(event));
	                    for (var index in event) {
	                        var OrderItem = event[index];
	                    }
	                    window._iapChannel = iapChannel;
	                    //console.log("ios pay get success");
	                }, function(errormsg) {
	                    alert("获取支付通道失败：" + errormsg.message);
	                });
	            }
	        }
	    }, function(e) {
	        console.log("获取支付通道失败：" + e.message);
	    });
		
	}).catch(function(res) {
		console.log("apple cancle log err res:" + JSON.stringify(response));
	});
}
// 2. 发起支付请求  
export function pay(obj){ 
	var orderId = obj.payParam.productId;
	var cartoonId = obj.payParam.cartoonId;
	if(!obj.payParam.isRechargePage){
		//章节页面吊起支付
		window.sessionStorage.setItem('payChapterId',obj.rechargeParams.chapterId);
	}
	var user = JSON.parse(window.sessionStorage.getItem('user'));
	var userId = 0;
	if(null != user && undefined != user){
		userId = user.id;
	}
	var orderNumber = "";
	obj.payParam.isPaying = true;
	var iapChannel = window._iapChannel;
	obj.$http.post(obj.URL_PARAM.API + "/apple/create",
			{
				userId:userId,
				cartoonId:cartoonId,
				produtId:orderId,
				uuid:plus.device.uuid,
				linkId:obj.getLinkId()
			},
			{emulateJSON:true}).then(function(response) {
				console.log("apple create result:"+JSON.stringify(response.data));
				if(!response.data.success){
		     		showMsg(obj,response.data.info,"warning");
		     		return ;
				}
				orderNumber = 	response.data.orderNumber;
				if(null == userId || userId == 0){
					user = response.data.user;
				}
				console.log("start request");
				console.log("window._iapChannel:"+JSON.stringify(window._iapChannel));
				plus.nativeUI.showWaiting("请求支付中..." );
				plus.payment.request(iapChannel, {
			        "productid": orderId,
			        "username": orderNumber,
			        "quantity": 1
		    	}, function(result) {
		    		plus.nativeUI.closeWaiting();
			    	console.log("payment request result:"+JSON.stringify(result));
			    	result.userId = user.id;
			    	var params = result;
			    	obj.$http.post(obj.URL_PARAM.API + "/apple/nofity",{orderInfo:JSON.stringify(result)},
						{emulateJSON:true}).then(function(response) {
							console.log("apple nofity result:"+JSON.stringify(response.data));
							obj.payParam.isPaying = false;
							if(!response.data.success){
					     		showMsg(obj,response.data.info,"warning");
					     		writeToFile(params);
					     		return ;
							}
							if(!obj.payParam.isRechargePage){
								obj.unlockChapter();
								return ;
							}
							obj.$bus.$emit('dlgAlert',"充值成功","reloadRecharge");
					},function(response){
						obj.payParam.isPaying = false;
						//将日志打到接口，查部分单子
						sendLog(obj,orderNumber,20,response);
						writeToFile(params);
					}).catch(function(res){
						obj.payParam.isPaying = false;
						//将日志打到接口，查部分单子
						sendLog(obj,orderNumber,20,res);
						writeToFile(params);
					});
			    }, function(e) {
			    	plus.nativeUI.closeWaiting();
			    	console.log("apple pay err result:"+JSON.stringify(e));
			    	//plus.nativeUI.alert("支付请求失败，请稍后重试");
			    	obj.payParam.isPaying = false;
			    	sendLog(obj,orderNumber,10,e);
			    }); 
			},function(e){
				plus.nativeUI.closeWaiting();
		    	console.log("apple pay err result:"+JSON.stringify(e));
		    	plus.nativeUI.alert("支付请求失败，请稍后重试");
		    	obj.payParam.isPaying = false;
		    	sendLog(obj,orderNumber,50,e);
			}).catch(function(res){
				obj.payParam.isPaying = false;
				plus.nativeUI.closeWaiting();
				sendLog(obj,orderNumber,40,res);
				console.log("apple pay err 2 result:"+JSON.stringify(res));
				plus.nativeUI.alert("支付失败，请稍后重试");
				return;
			});
}  

function sendLog(obj,orderNumber,type,res){
	obj.$http.post(obj.URL_PARAM.API + "/apple/log/cancle",
		{
			orderNumber:orderNumber,
			type:type,
			result:JSON.stringify(res)
		},
		{emulateJSON:true}).then(function(response) {
			console.log("apple cancle log result:"+JSON.stringify(response.data));
		}).catch(function(res){
			console.log("apple cancle log err res:"+JSON.stringify(response));
		});
}

/**
 * 将订单写入文件
 * @param {Object} params
 */
function writeToFile(params){
	plus.io.requestFileSystem( plus.io.PUBLIC_DOCUMENTS, function(fs){
		fs.root.getFile('orderInfo.txt',{create:true}, function(fileEntry){
			fileEntry.file( function(file){
			console.log("File Size:"+file.size);
			var fileWrite = new plus.io.FileWriter;
			fileEntry.createWriter(function(fileWrite){
				var fileReader = new plus.io.FileReader();
				console.log("getFile:" + JSON.stringify(file));
				fileReader.readAsText(file, 'utf-8');
				fileReader.onloadend = function(evt) {
					if("" == evt.target.result ){
						fileWrite.seek(0);
						var list = [];
						list.push(params);
						fileWrite.write(JSON.stringify(list));
						fileReader.readAsText(file, 'utf-8');
						fileReader.onloadend = function(evt1) {
						}
					}else{
						fileWrite.seek(0);
						var list = JSON.parse(evt.target.result);
						list.push(params);
						fileWrite.write(JSON.stringify(list));
						fileReader.readAsText(file, 'utf-8');
						fileReader.onloadend = function(evt1) {
						}
					}
				}
			})
			
			});
		
		});
		
	} );
}

export function timer(obj){
	if(!window.plus){
		console.log("plus is error");
		return ;
	}
	plus.io.requestFileSystem( plus.io.PUBLIC_DOCUMENTS, function(fs){
	
		fs.root.getFile('orderInfo.txt',{create:true}, function(fileEntry){
			fileEntry.file( function(file){
			console.log("File Size:"+file.size);
			var fileWrite = new plus.io.FileWriter;
			fileEntry.createWriter(function(fileWrite){
				var fileReader = new plus.io.FileReader();
				fileReader.readAsText(file, 'utf-8');
				fileReader.onloadend = function(evt) {
					var str = evt.target.result;
					if("" != evt.target.result){
						obj.$http.post(obj.URL_PARAM.API + "/apple/list",{list:str},
							{emulateJSON:true}).then(function(response) {
								if(!response.data.success){
						     		showMsg(obj,response.data.info,"warning");
						     		return ;
								}
								fileWrite.seek(0);
								fileWrite.write("");
						})
					}
				}
			})
			
			});
		
		});
		
	} );
}


