
/**
 * 设置 跳过绑定手机号
 */
export function skipBind(_this,$event){
	if(_this.isAjax){
		return ;
	}
	_this.isAjax = true;
	console.log("has class:"+$event.hasClass('on'));
	var isSkipBind = $event.hasClass('on')?0:1;
	_this.$http.post(_this.URL_PARAM.API + "/user/is-skip-bind",
		{
			isSkipBind:isSkipBind
		},
		{
			emulateJSON:true
		}).then(function(result) {
			_this.isAjax = false;
			if(!result.data.success){
				return;
			}
			console.log($event);
			$event.toggleClass("on");
		},function(){
			_this.isAjax = false;
		})
}
/**
 * 发送验证码
 */
export function sendCode(_this,$event){
	var sendType = 2;
	var hash = md5(_this.phone+""+sendType+""+_this.SESSION_KEY.MD5_KEY);
	_this.$http.post(_this.URL_PARAM.API + "/index/sendCode",
		{	
			account:_this.phone,
			type:sendType,
			linkId:_this.getLinkId(),
			sign:hash
		},
		{
			emulateJSON:true
		}).then(function(result) {
			_this.isAjax = false;
			if(!result.data.success){
				return _this.$bus.$emit('dlgAlert',result.data.info);
			}
			startClock($event);
	},function(){
		_this.isAjax = false;
	})
}

/**
 * 绑定手机号
 */
export function bind(_this){
	_this.$http.post(_this.URL_PARAM.API + "/user/bind-phone",
		{
			phone:_this.phone,
			code:_this.code,
			password:_this.password
		},
		{
			emulateJSON:true
		}).then(function(result) {
			_this.isAjax = false;
			if(!result.data.success){
				_this.$bus.$emit('dlgAlert',result.data.info);
				return;
			}
			//弹窗提示
			var sendCoins = result.data.sendCoins;
			if(sendCoins != null && sendCoins > 0){
				setTimeout(function(){
		       		_this.$bus.$emit('dlgAlertReward',"绑定手机号",sendCoins);
		    	}, 900);
			}else {
				setTimeout(function(){
					_this.$bus.$emit('dlgAlert',"绑定手机号成功");
				},900);
			}
			//跳转页面
			setTimeout(function(){
				if(_this.fromType >= 10){
					return _this.$router.push('/user/index');
				}
				if(_this.COMMON_PARAM.LOGIN_BACK_URL == "" || _this.COMMON_PARAM.LOGIN_BACK_URL == null || _this.COMMON_PARAM.LOGIN_BACK_URL == "undefined"){
					if(_this.fromType == 2){
						_this.COMMON_PARAM.LOGIN_BACK_URL = "/user/index";
					}else{
						_this.COMMON_PARAM.LOGIN_BACK_URL = "/index";
					}
				}
	        	_this.$router.push(_this.COMMON_PARAM.LOGIN_BACK_URL);
			}, 600);
			
		},function(err){
			_this.isAjax = false;
		})
}

var timer ;
function startClock($event){
	var countdown = 60;
    var obj = $event;
    var count = countdown;
    timer = setInterval(function(){
    	console.log("clock time -->"+count);
        if (count > 0 && count <= countdown) {
            obj.css("color","#909090");
            obj.attr("disabled",true);
            obj.text("重新获取(" + count + 's'+")");
            count--;
            return ;
        }
        obj.removeAttr("disabled");
        obj.css("color","#fc595b");
        obj.text("发送验证码");
        clearInterval(timer);
        timer = null;
    }, 1000)
}
/**
 * 清楚定时器
 */
export function clearClock(){
	if(timer == null){
		return ;
	}
	clearInterval(timer);
}
