/**********获取收藏记录************/
export	function getCollections(obj){
	// if(obj.params.pageNo != 1){
	// 	$("#load-cover").show();
	// }
	$("#load-cover").show();
	var linkId = obj.getLinkId();
	var isHide = obj.getIsHide();
	obj.$http.post(
		obj.URL_PARAM.API + "/collectBrowserCartoon/page-collections",
		{
			linkId:linkId,
			isHide:isHide,
	 		pageNo:obj.params.pageNo,
	 		pageSize:obj.params.pageSizeCollection
	 	},{emulateJSON:true}).then(function(pay) {
			$("#load-cover").hide();
			obj.loading = false;
			if(!pay.data.success){
				this.$message({
					type: 'error',
	        		message: pay.data.info
	    		});
	    		return ;
			}
			obj.recommendList = [];
			if((pay.data.list == null || pay.data.list.length == 0)  && (obj.collectionList == null || obj.collectionList.length <= 0)){
				$('.null-div').css('display','block');;
			}else{
				$('.null-div').hide();
			}
			obj.totalPage = pay.data.totalPage;
			for(var i = 0 ; i < pay.data.list.length;i++){
				obj.collectionList.push(pay.data.list[i]);
			}
			var isShow = 0;
			for(var i = 0 ; i < obj.collectionList.length;i++){
				var chapterIndex = obj.collectionList[i].chapterIndex;
				if(chapterIndex == null || chapterIndex == undefined){
					chapterIndex = 0;
				}
				//判断是否看完了漫画   标记红点
				if(chapterIndex < obj.collectionList[i].chapCount){
					isShow = 1;
					break;
				}
			}
			if(isShow == 0){
				$('#collectionHead').removeClass('active');
			}
			if(isShow == 1){
				$('#collectionHead').addClass('active');
			}
			/*******猜你喜欢******/
			for(var i = 0 ; i < pay.data.recommend.length;i++){
				obj.recommendList.push(pay.data.recommend[i]);
			}
			//广告条
			obj.banner = pay.data.activityAdVo;
	})
}




/*****获取历史纪录数据****/
export	function getHistories(obj){
	$("#load-cover").show();
	var linkId = obj.getLinkId();
	var isHide = obj.getIsHide();
	obj.$http.post(obj.URL_PARAM.API + "/collectBrowserCartoon/page-browsingHistory",
	{
		linkId:linkId,
		isHide:isHide,
		pageNo:obj.params.pageNo,
		pageSize:obj.params.pageSize
	},{emulateJSON:true}).then(function(pay) {
		$("#load-cover").hide();
		obj.loading = false;
		if(!pay.data.success){
			this.$message({
				type: 'error',
        		message: pay.data.info
    		});
			return ;
		}
		//广告条
		obj.banner = pay.data.activityAdVo;
		//历史纪录
		addHistories(obj,pay.data.list,pay.data.totalPage);
		//猜你喜欢
		addRecommendList(obj,pay.data.recommend);
	})
}
//添加历史数据
function addHistories(obj,list,totalPage){
	if(!obj.checkUser()){
		obj.loadCookieHistory();
		return ;
	}
	obj.totalPage = totalPage;
	if((list == null || list == 0) && (obj.historyList == null || obj.historyList.length <= 0)){
		$('.null-div').css('display','block');
		return ;
	}
	$('.null-div').hide();
	for(var i = 0 ; i < list.length;i++){
		obj.historyList.push(list[i]);
	}
}
//添加猜你喜欢漫画
function addRecommendList(obj,recommends){
	obj.recommendList = [];
	if(recommends == null || recommends.length <= 0){
		return ;
	}
	for(var i = 0 ; i < recommends.length;i++){
		obj.recommendList.push(recommends[i]);
	}
}
/********删除历史纪录*********/
export	function delHistories(obj,ids){
	obj.$http.post(obj.URL_PARAM.API + "/collectBrowserCartoon/del-histories",
	{
		histories:ids
	}
	,{emulateJSON:true}).then(function(pay) {
		obj.loading = false;
		if(!pay.data.success){
			this.$message({
				type: 'error',
        		message: pay.data.info
    		});
    		return ;
		}
		obj.historyList = [];
		obj.params.pageNo = 1;
		getHistories(obj);
		
		obj.editState = 0;
		$(".edit").toggleClass("on");
		$(".history").toggleClass("edit");
		$(".box1 .wrap.collection .items .items-cover").removeClass("on");
		$(".box1 .wrap.history .items").removeClass("active on");
		$(".edit-box").addClass("fadeOutDown");
        setTimeout(function(){
        	$(".edit-box").hide();
        	$(".edit-box .all-cheack").removeClass("on")
        	$(".edit-box").removeClass("fadeOutDown")
		}, 500);
	})
}


/*****删除收藏漫画*******/
export	function delCollections(obj,ids){
	obj.$http.post(obj.URL_PARAM.API + "/collectBrowserCartoon/del-collections",
	{
		collectionIds:ids
	}
	,{emulateJSON:true}).then(function(pay) {
		obj.loading = false;
		if(!pay.data.success){
			this.$message({
				type: 'error',
        		message: pay.data.info
    		});
    		return ;
		}
		obj.collectionList = [];
		obj.params.pageNo = 1;
		getCollections(obj);
		obj.editState = 0;
		$(".edit").toggleClass("on");
		$(".history").toggleClass("edit");
		$(".box1 .wrap.collection .items .items-cover").removeClass("on");
		$(".box1 .wrap.collection .items").removeClass("active on");
		$(".edit-box").addClass("fadeOutDown");
        setTimeout(function(){
        	$(".edit-box").hide();
        	$(".edit-box .all-cheack").removeClass("on")
        	$(".edit-box").removeClass("fadeOutDown")
		}, 500);
	})
}


//前往详情
export function goChapter(_this,chapterId,event,cartoonId) {
	//判断是否可以观看
	_this.$http.post(
		_this.URL_PARAM.API+"/chapter/exist",
		{
			id : chapterId,
			cartoonId:cartoonId
		},
		{emulateJSON:true}).then(function(response) {
			if (!response.data.success){
				_this.$message({
					showClose: true,
					type: 'error',
					message: response.data.info 
				});
				return ;
			}
			var id = response.data.chapterId;
			if (id){
				_this.$router.push('/chapter/detail-chapter/'+id);
				return ;
			}
			_this.$router.push('/cartoon/detail-cartoon/'+cartoonId);
	});
	//_this.$router.push('/chapter/detail-chapter/'+chapterId);
}
/******更新点击量*******/
export function updateClickCount(_this,cartoonId){
	_this.$http.post(
		_this.URL_PARAM.API+"/statCartoonRecommend/update-click",
		{
			cartoonId:cartoonId
		},
		{emulateJSON:true}).then(function(response) {
			if(!response.data.success){
				alert(response.data.info);
				return ;
			}
	});
}
