export	function listAutoPay(obj){
	if(obj.getAppstyle()){
		return loadByUser(obj);
	}
	if(window.plus){
		return loadByUuid(obj);
	}
}

function loadByUuid(obj){
	$("#load-cover").show();
	obj.$http.post(obj.URL_PARAM.API + "/user/ios-page-autoPay",
		{
			uuid:plus.device.uuid,
			linkId:obj.getLinkId(),
			pageNo:obj.params.pageNo,
			pageSize:obj.params.pageSize
		},{emulateJSON:true}).then(function(pay) {
			if(!pay.data.success){
				return obj.$message({
							type: 'error',
			        		message: pay.data.info
	    				});
			}
			$("#load-cover").hide();
			obj.totalPage = pay.data.totalPage;
			
			if(pay.data.list.length == 0 && obj.params.pageNo == 1){
				$('.null-div').css('display','block');;
			}else{
				$('.null-div').hide();
			}
			
			if(pay.data.totalPage == obj.params.pageNo ){
				$('.no-more').css('display','block');
			}else{
				$('.no-more').hide();
			}
			
			
			for(var i = 0 ; i < pay.data.list.length;i++){
				obj.list.push(pay.data.list[i]);
			}
			obj.loading = false;
	})
}

function loadByUser(obj){
	$("#load-cover").show();
	obj.$http.post(obj.URL_PARAM.API + "/user/page-autoPay",
	{
		pageNo:obj.params.pageNo,
		pageSize:obj.params.pageSize
	},{emulateJSON:true}).then(function(pay) {
		if(!pay.data.success){
			return obj.$message({
					type: 'error',
	        		message: pay.data.info
    		});
		}
		$("#load-cover").hide();
		obj.totalPage = pay.data.totalPage;
		if(pay.data.list.length == 0 && obj.params.pageNo == 1){
			$('.null-div').css('display','block');;
		}else{
			$('.null-div').hide();
		}
		
		if(pay.data.totalPage == obj.params.pageNo ){
			$('.no-more').css('display','block');
		}else{
			$('.no-more').hide();
		}
		
		
		for(var i = 0 ; i < pay.data.list.length;i++){
			obj.list.push(pay.data.list[i]);
		}
		obj.loading = false;
	})
}

//取消自动购买
export	function cancelPay(obj,id){
	if(obj.getAppstyle()){
		return cancleByUser(obj,id);
	}
	if(window.plus){
		return cancleByUuid(obj,id);
	}
}

function cancleByUuid(obj,id){
	obj.$http.post(obj.URL_PARAM.API + "/user/ios-cancel-autoPay",
		{
			uuid:plus.device.uuid,
			inkId:obj.getLinkId(),
			id:id
		},{emulateJSON:true}).then(function(pay) {
		if(!pay.data.success){
			return obj.$message({
				type: 'error',
        		message: pay.data.info
    		});
		}
		listAutoPay(obj);
	})
}

function  cancleByUser(obj,id){
	obj.$http.post(obj.URL_PARAM.API + "/user/cancel-autoPay",{id:id},{emulateJSON:true}).then(function(pay) {
		if(!pay.data.success){
			return obj.$message({
						type: 'error',
		        		message: pay.data.info
		    		});
		}
		listAutoPay(obj);
		
	})
}
