export	function listAutoPay(obj){
	if(obj.getAppstyle()){
		return loadByUser(obj);
	}
	if(window.plus){
		return loadByUuid(obj);
	}
}

function loadByUuid(obj){
	$("#load-cover").show();
	obj.$http.post(obj.URL_PARAM.API + "/user/query-order",
		{
			uuid	:plus.device.uuid,
			pageNo	:obj.params.pageNo,
			pageSize:obj.params.pageSize,
			linkId	:obj.getLinkId()
		},{emulateJSON:true}).then(function(pay) {
			if(!pay.data.success){
				$("#load-cover").hide();
				return obj.$message({
							type: 'error',
				    		message: pay.data.info
						});
			}
			$("#load-cover").hide();
			obj.totalPage = pay.data.totalPage;
			if(pay.data.list.length == 0 && obj.params.pageNo == 1){
				$('.null-div').css('display','block');
			}else{
				$('.null-div').hide();
			}
			
			if(pay.data.totalPage == obj.params.pageNo ){
				$('.no-more').css('display','block');
			}else{
				$('.no-more').hide();
			}
			
			for(var i = 0 ; i < pay.data.list.length;i++){
				obj.list.push(pay.data.list[i]);
			}
			obj.loading = false;
	});
}

function loadByUser(obj){
	$("#load-cover").show();
	obj.$http.post(obj.URL_PARAM.API + "/user/page-order",{pageNo:obj.params.pageNo,pageSize:obj.params.pageSize},{emulateJSON:true}).then(function(pay) {
		if(!pay.data.success){
			$("#load-cover").hide();
			return this.$message({
						type: 'error',
		        		message: pay.data.info
    				});
		}
		$("#load-cover").hide();
		obj.totalPage = pay.data.totalPage;
		if(pay.data.list.length == 0 && obj.params.pageNo == 1){
			$('.null-div').css('display','block');
		}else{
			$('.null-div').hide();
		}
		
		if(pay.data.totalPage == obj.params.pageNo ){
			$('.no-more').css('display','block');
		}else{
			$('.no-more').hide();
		}
		
		for(var i = 0 ; i < pay.data.list.length;i++){
			obj.list.push(pay.data.list[i]);
		}
		obj.loading = false;
	});
}

export	function cancelPay(obj,id){
	obj.$http.post(obj.URL_PARAM.API + "/user/cancel-autoPay",{id:id},{emulateJSON:true}).then(function(pay) {
		if(pay.data.success){
			alert("取消成功");
			listAutoPay(obj);
			return ;
		}
		this.$message({
			type: 'error',
    		message: pay.data.info
		});
	})
}