/**
 * 加载充值设置数据
 */
export function loadRechargeSet(_this){
	$("#load-cover").show();
	var userId = _this.getTouristId();
	var linkId = _this.getLinkId();
	if(linkId == null || linkId == undefined || linkId == "undefined" || linkId == "null"){
		linkId = '';
	}
	_this.init = false;
	_this.$http.post(_this.URL_PARAM.API + "/v2/user/get-recharge-set",
		{
			linkId:linkId,
			userId:userId,
			appstyle:_this.getAppstyle(),
			type:_this.type
		},
		{emulateJSON:true}).then(function(response) {
			_this.init = true;
			$("#load-cover").hide();
			if(!response.data.success){
	     		showMsg(_this,response.data.info,"warning");
	     		return ;
			}
			_this.firstReward = response.data.firstReward;
			_this.rechargeText = response.data.rechargeInfo;
			_this.isActivity = _this.checkLogin()||_this.getAppstyle()?response.data.isActivity:false;
			_this.comonList = response.data.comonList;
			_this.vipList = response.data.vipList;
			_this.distActivity = response.data.distActivity;
			_this.rewardActivity = response.data.rewardActivity;
			_this.rankingActivity = response.data.rankingActivity;
			_this.exchangeActivity = response.data.exchangeActivity;
			_this.htmlTpl = response.data.htmlTpl;
			_this.cssTpl = response.data.cssTpl;
			_this.defaultTemplate = response.data.defaultTemplate;
			/*********广告条*********/
			_this.bannerAd = response.data.bannerAd;
	});
}
/**
 * 判断是否显示通知
 * @param {Object} _this
 */
function checkShowNotice(_this){
	var date = new Date();
	var startDate =  new Date("2018/03/02 00:00:00");
	var endDate =  new Date("2018/03/03 23:59:59");
	if(date.getTime() < startDate.getTime() || date.getTime() > endDate.getTime()){
		return ;
	}
	_this.isShowMsg = true;
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}