export function loadRecord(_this){
	if(_this.getAppstyle()){
		return loadByUser(_this);
	}
	if(window.plus){
		return loadByUuid(_this);
	}
}
function loadByUuid(_this){
	_this.loading = true;
	$("#load-cover").show();
	_this.$http.post(_this.URL_PARAM.API + "/user/ios-list-recharge-record",
		{
			uuid:plus.device.uuid,
			linkId:_this.getLinkId(),
			pageSize:_this.params.pageSize,
    		pageNo:_this.params.pageNo
		},
		{emulateJSON:true}).then(function(response) {
			$("#load-cover").hide();
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				_this.loading = false;
				return ;
			}
			_this.params.haveNextPage = response.data.haveNextPage;
			if(response.data.list == null || response.data.list.length <= 0){
				_this.params.isShowNull = true;
				return;
			}
			if(!_this.params.haveNextPage){
				_this.isShowEnd = true;	
			}
			for(var i = 0 ; i < response.data.list.length ; i++){
				_this.recordList.push(response.data.list[i]);
			}
	    	_this.loading = false;
	});
}
//加载用户数据
function loadByUser(_this){
	_this.loading = true;
	$("#load-cover").show();
	_this.$http.post(_this.URL_PARAM.API + "/user/list-recharge-record",
		{
			pageSize:_this.params.pageSize,
    		pageNo:_this.params.pageNo
		},
		{emulateJSON:true}).then(function(response) {
			$("#load-cover").hide();
			if(!response.data.success){
				showMsg(_this,response.data.info,"warning");
				_this.loading = false;
				return ;
			}
			_this.params.haveNextPage = response.data.haveNextPage;
			if(response.data.list == null || response.data.list.length <= 0){
				_this.params.isShowNull = true;
				return;
			}
			if(!_this.params.haveNextPage){
				_this.isShowEnd = true;	
			}
			for(var i = 0 ; i < response.data.list.length ; i++){
				_this.recordList.push(response.data.list[i]);
			}
	    	_this.loading = false;
	});
}

function showMsg(_this,msg,type){
	_this.$message({
		showClose: true,
		type: type,
		message:msg 
	});
}
