/**
 * 转盘活动
 */
export function setDist(_this){
	if(!_this.distActivity){
		return ;
	}
	_this.distParam.remain = _this.distActivity.distUser==null?0:_this.distActivity.distUser.nums;
	var opt = null;
	var opts = _this.distActivity.distOptions;
	if(opts == null || opts.length <= 0){
		result_angle[0].p = 0;
		result_angle[1].p = 0;
		result_angle[2].p = 0;
		result_angle[3].p = 0;
		result_angle[4].p = 0;
		result_angle[5].p = 0;
		return ;
	}
	if(_this.distActivity.distUser != null){
		for(var i = 0 ; i < opts.length ;i++){
			if(opts[i].id == _this.distActivity.distUser.distOptionId){
				opt = opts[i];
				break;
			}
		}
	}
	console.log("distOptions----------->");
	console.log(_this.distActivity.distOptions);
	if(opt == null){
		opt = opts[0];
	}
	result_angle[0].p = opt.rate5*0.01;
	result_angle[1].p = opt.rate4*0.01;
	result_angle[2].p = opt.rate3*0.01;
	result_angle[3].p = opt.rate2*0.01;
	result_angle[4].p = opt.rate1*0.01;
	result_angle[5].p = opt.rate6*0.01;
}
/***************转盘活动**************/
var result_angle = [{a:0,p:0.166667,t:'200'},{a:60,p:0.166667,t:'100'},{a:120,p:0.166667,t:'66'},{a:180,p:0.166667,t:'50'},{a:240,p:0.166667,t:'30'},{a:300,p:0.166667,t:'莫心灰'}];
var rotate_angle = 0; //起始位置为0
export function calculate_result(during_time,obj){
	console.log("calculate_result---->");
	console.log(result_angle);
	var self = this;
    during_time = during_time || 1; // 默认为1s
    var rand_num = Math.ceil(Math.random() * 100); // 用来判断的随机数，1-100
    var result_index; // 最终要旋转到哪一块，对应result_angle的下标
    var end_pos ;
    var start_pos = end_pos = 0; // 判断的角度值起始位置和结束位置
    for(var i in result_angle){
        start_pos = end_pos + 1; // 区块的起始值
        end_pos = end_pos + 100 * result_angle[i].p; // 区块的结束值
        
        if(rand_num >= start_pos && rand_num <= end_pos){ // 如果随机数落在当前区块，那么获取到最终要旋转到哪一块
            result_index = i;
            break;
        }
    }
    
    var rand_circle = Math.ceil(Math.random() * 2) + 3; // 附加多转几圈，2-3
    obj.distParam.isRuning = true; // 旋转结束前，不允许再次触发
    rotate_angle =  rotate_angle - rand_circle * 360 - result_angle[result_index].a - rotate_angle % 360;
    $('#J_bg').css({
        'transform': 'rotate('+rotate_angle+'deg)',
        '-ms-transform': 'rotate('+rotate_angle+'deg)',
        '-webkit-transform': 'rotate('+rotate_angle+'deg)',
        '-moz-transform': 'rotate('+rotate_angle+'deg)',
        '-o-transform': 'rotate('+rotate_angle+'deg)',
        'transition': 'transform ease-out '+during_time+'s',
        '-moz-transition': '-moz-transform ease-out '+during_time+'s',
        '-webkit-transition': '-webkit-transform ease-out '+during_time+'s',
        '-o-transition': '-o-transform ease-out '+during_time+'s'
    });
    // 旋转结束后，允许再次触发
    setTimeout(function(){ 
        obj.distParam.isRuning = false;
        obj.prizeWindow();
    },during_time*1000);
    // 告诉结果
    var result = result_angle[result_index].t;
    console.log(result);
    obj.distParam.remain--;
    $(".recharge-active-tpl").find("#J_start").html( obj.distParam.remain+"次");
    if(/\d/.test(result)){
    	obj.distParam.reward = result+"币";
    } else{
    	result = 0;
    	obj.distParam.reward = "";
    }
    distReward(obj,result);
}
/*
 * 装盘转动
 */
export function go(obj){
    calculate_result(3,obj);
}

//领取幸运转盘活动奖励
function distReward(obj,giveCoins){
	obj.$http.post(obj.URL_PARAM.API + "/user/revieve-dist",
		{
			giveCoins:giveCoins,
			distUserId:obj.distActivity.distUser.id
		},{emulateJSON:true}).then(function(response) {
			if(!response.data.success){
				obj.$message({
					showClose: true,
					type: 'warning',
					message:response.data.info 
				});
	     		return ;
			}
			console.log("dist-reward");
		},function(res){
		obj.$message({
			showClose: true,
			type: 'error',
			message:"网络异常，请刷新重试" 
		});
	});
}